<?php
//
// +---------------------------------------------+
// |     IP2MORE :: IP2COUNTRY V2                |
// |     http://www.SysTurn.com                  |
// +---------------------------------------------+
//
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2, or (at your option)
//   any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software Foundation,
//   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
//   fips104 field was updated by 'Nizam <info AT singlesburg DOT com>'
//

  $i2m_countries_list = array(
    
    "AFG" => array('name'=>"Afghanistan", 'iso2'=>"AF", 'iso3'=>"AFG", 'fips104'=>"AF", 'isono'=>"4.00", 'capital'=>"Kabul", 'region'=>"Asia", 'currency'=>"Afghani", 'currency_code'=>"AFA", 'languages'=>"Pashto+Dari"),
    
    "ALB" => array('name'=>"Albania", 'iso2'=>"AL", 'iso3'=>"ALB", 'fips104'=>"AL", 'isono'=>"8.00", 'capital'=>"Tirana", 'region'=>"Europe", 'currency'=>"Lek", 'currency_code'=>"ALL", 'languages'=>"Albanian"),
    
    "DZA" => array('name'=>"Algeria", 'iso2'=>"DZ", 'iso3'=>"DZA", 'fips104'=>"AG", 'isono'=>"12.00", 'capital'=>"Algiers", 'region'=>"Africa", 'currency'=>"Algerian Dinar", 'currency_code'=>"DZD", 'languages'=>"Arabic+French+Berber"),
    
    "ASM" => array('name'=>"American Samoa", 'iso2'=>"AS", 'iso3'=>"ASM", 'fips104'=>"AQ", 'isono'=>"16.00", 'capital'=>"Pago Pago", 'region'=>"Oceania", 'currency'=>"US Dollar", 'currency_code'=>"USD", 'languages'=>"Samoan+English"),
    
    "AND" => array('name'=>"Andorra", 'iso2'=>"AD", 'iso3'=>"AND", 'fips104'=>"AN", 'isono'=>"20.00", 'capital'=>"Andorra la Vella", 'region'=>"Europe", 'currency'=>"Euro", 'currency_code'=>"EUR", 'languages'=>"Catalan+French+Castilian+Portuguese"),
    
    "AGO" => array('name'=>"Angola", 'iso2'=>"AO", 'iso3'=>"AGO", 'fips104'=>"AO", 'isono'=>"24.00", 'capital'=>"Luanda", 'region'=>"Africa", 'currency'=>"Kwanza", 'currency_code'=>"AOA", 'languages'=>"Portuguese+Bantu"),
    
    "AIA" => array('name'=>"Anguilla", 'iso2'=>"AI", 'iso3'=>"AIA", 'fips104'=>"AV", 'isono'=>"660.00", 'capital'=>"The Valley", 'region'=>"Central America and the Caribbean", 'currency'=>"East Caribbean Dollar", 'currency_code'=>"XCD", 'languages'=>"English"),

    "ATA" => array('name'=>"Antarctica", 'iso2'=>"AQ", 'iso3'=>"ATA", 'fips104'=>"AQ", 'isono'=>"Unknown", 'capital'=>"Unknown", 'region'=>"Antarctica", 'currency'=>"Unknown", 'currency_code'=>'Unknown', 'languages'=>"English"),
    
    "ATG" => array('name'=>"Antigua and Barbuda", 'iso2'=>"AG", 'iso3'=>"ATG", 'fips104'=>"AC", 'isono'=>"28.00", 'capital'=>"Saint John's", 'region'=>"Central America and the Caribbean", 'currency'=>"East Caribbean Dollar", 'currency_code'=>"XCD", 'languages'=>"English"),
    
    "ARG" => array('name'=>"Argentina", 'iso2'=>"AR", 'iso3'=>"ARG", 'fips104'=>"AR", 'isono'=>"32.00", 'capital'=>"Buenos Aires", 'region'=>"South America", 'currency'=>"Argentine Peso", 'currency_code'=>"ARS", 'languages'=>"Spanish"),
    
    "ARM" => array('name'=>"Armenia", 'iso2'=>"AM", 'iso3'=>"ARM", 'fips104'=>"AM", 'isono'=>"51.00", 'capital'=>"Yerevan", 'region'=>"Commonwealth of Independent States", 'currency'=>"Armenian Dram", 'currency_code'=>"AMD", 'languages'=>"Armenian+Russian"),
    
    "ABW" => array('name'=>"Aruba", 'iso2'=>"AW", 'iso3'=>"ABW", 'fips104'=>"AA", 'isono'=>"533.00", 'capital'=>"Oranjestad", 'region'=>"Central America and the Caribbean", 'currency'=>"Aruban Guilder", 'currency_code'=>"AWG", 'languages'=>"Dutch+English+Spanish"),
    
    "AUS" => array('name'=>"Australia", 'iso2'=>"AU", 'iso3'=>"AUS", 'fips104'=>"AS", 'isono'=>"36.00", 'capital'=>"Canberra", 'region'=>"Oceania", 'currency'=>"Australian dollar", 'currency_code'=>"AUD", 'languages'=>"English"),
    
    "AUT" => array('name'=>"Austria", 'iso2'=>"AT", 'iso3'=>"AUT", 'fips104'=>"AU", 'isono'=>"40.00", 'capital'=>"Vienna", 'region'=>"Europe", 'currency'=>"Euro", 'currency_code'=>"EUR", 'languages'=>"German"),
    
	"AZE" => array('name'=>"Azerbaijan", 'iso2'=>"AZ", 'iso3'=>"AZE", 'fips104'=>"AJ", 'isono'=>"31.00", 'capital'=>"Baku (Baki)", 'region'=>"Commonwealth of Independent States", 'currency'=>"Azerbaijani Manat", 'currency_code'=>"AZM", 'languages'=>"Azerbaijani+Russian+Armenian"),

    "BHS" => array('name'=>"Bahamas", 'iso2'=>"BS", 'iso3'=>"BHS", 'fips104'=>"BS", 'isono'=>"Unknown", 'capital'=>"Unknown", 'region'=>"Unknown", 'currency'=>"Unknown", 'currency_code'=>"Unknown", 'languages'=>"English+Creole"),
    
    "BHR" => array('name'=>"Bahrain", 'iso2'=>"BH", 'iso3'=>"BHR", 'fips104'=>"BA", 'isono'=>"48.00", 'capital'=>"Manama", 'region'=>"Middle East", 'currency'=>"Bahraini Dinar", 'currency_code'=>"BHD", 'languages'=>"Arabic+English+Farsi+Urdu"),
    
    "BGD" => array('name'=>"Bangladesh", 'iso2'=>"BD", 'iso3'=>"BGD", 'fips104'=>"BG", 'isono'=>"50.00", 'capital'=>"Dhaka", 'region'=>"Asia", 'currency'=>"Taka", 'currency_code'=>"BDT", 'languages'=>"Bengali+English"),
    
    "BRB" => array('name'=>"Barbados", 'iso2'=>"BB", 'iso3'=>"BRB", 'fips104'=>"BB", 'isono'=>"52.00", 'capital'=>"Bridgetown", 'region'=>"Central America and the Caribbean", 'currency'=>"Barbados Dollar", 'currency_code'=>"BBD", 'languages'=>"English"),
    
    "BLR" => array('name'=>"Belarus", 'iso2'=>"BY", 'iso3'=>"BLR", 'fips104'=>"BO", 'isono'=>"112.00", 'capital'=>"Minsk", 'region'=>"Commonwealth of Independent States", 'currency'=>"Belarussian Ruble", 'currency_code'=>"BYR", 'languages'=>"Belarusian+Russian"),
    
    "BEL" => array('name'=>"Belgium", 'iso2'=>"BE", 'iso3'=>"BEL", 'fips104'=>"BE", 'isono'=>"56.00", 'capital'=>"Brussels", 'region'=>"Europe", 'currency'=>"Euro", 'currency_code'=>"EUR", 'languages'=>"Dutch+French+German"),
    
    "BLZ" => array('name'=>"Belize", 'iso2'=>"BZ", 'iso3'=>"BLZ", 'fips104'=>"BH", 'isono'=>"84.00", 'capital'=>"Belmopan", 'region'=>"Central America and the Caribbean", 'currency'=>"Belize Dollar", 'currency_code'=>"BZD", 'languages'=>"English+Spanish+Mayan"),
    
    "BEN" => array('name'=>"Benin", 'iso2'=>"BJ", 'iso3'=>"BEN", 'fips104'=>"BN", 'isono'=>"204.00", 'capital'=>"Porto-Novo", 'region'=>"Africa", 'currency'=>"CFA Franc BCEAO", 'currency_code'=>"XOF", 'languages'=>"French"),
    
    "BMU" => array('name'=>"Bermuda", 'iso2'=>"BM", 'iso3'=>"BMU", 'fips104'=>"BD", 'isono'=>"60.00", 'capital'=>"Hamilton", 'region'=>"North America", 'currency'=>"Bermudian Dollar", 'currency_code'=>"BMD", 'languages'=>"English+Portuguese"),
    
    "BTN" => array('name'=>"Bhutan", 'iso2'=>"BT", 'iso3'=>"BTN", 'fips104'=>"BT", 'isono'=>"64.00", 'capital'=>"Thimphu", 'region'=>"Asia", 'currency'=>"Ngultrum", 'currency_code'=>"BTN", 'languages'=>"Dzongkha"),
    
    "BOL" => array('name'=>"Bolivia", 'iso2'=>"BO", 'iso3'=>"BOL", 'fips104'=>"BL", 'isono'=>"68.00", 'capital'=>"La Paz /Sucre", 'region'=>"South America", 'currency'=>"Boliviano", 'currency_code'=>"BOB", 'languages'=>"Spanish+Ketchua+Aimara"),
    
    "BIH" => array('name'=>"Bosnia and Herzegovina", 'iso2'=>"BA", 'iso3'=>"BIH", 'fips104'=>"BK", 'isono'=>"70.00", 'capital'=>"Sarajevo", 'region'=>"Bosnia and Herzegovina, Europe", 'currency'=>"Convertible Marka", 'currency_code'=>"BAM", 'languages'=>"Serbian+Bosnian+Croatian"),
    
    "BWA" => array('name'=>"Botswana", 'iso2'=>"BW", 'iso3'=>"BWA", 'fips104'=>"BC", 'isono'=>"72.00", 'capital'=>"Gaborone", 'region'=>"Africa", 'currency'=>"Pula", 'currency_code'=>"BWP", 'languages'=>"Setswana+English"),
    
    "BRA" => array('name'=>"Brazil", 'iso2'=>"BR", 'iso3'=>"BRA", 'fips104'=>"BR", 'isono'=>"76.00", 'capital'=>"Brasilia", 'region'=>"South America", 'currency'=>"Brazilian Real", 'currency_code'=>"BRL", 'languages'=>"Portuguese+Spanish+English+French"),
    
    "IOT" => array('name'=>"British Indian Ocean Territory", 'iso2'=>"IO", 'iso3'=>"IOT", 'fips104'=>"IO", 'isono'=>"86.00", 'capital'=>"UNKOWN", 'region'=>"World", 'currency'=>"US Dollar", 'currency_code'=>"USD", 'languages'=>"English"),
    
    "VGB" => array('name'=>"British Virgin Islands", 'iso2'=>"VG", 'iso3'=>"VGB", 'fips104'=>"VI", 'isono'=>"92.00", 'capital'=>"Road Town", 'region'=>"Central America and the Caribbean", 'currency'=>"US dollar", 'currency_code'=>"USD", 'languages'=>"English"),
    
    "BRN" => array('name'=>"Brunei Darussalam", 'iso2'=>"BN", 'iso3'=>"BRN", 'fips104'=>"BX", 'isono'=>"96.00", 'capital'=>"Bandar Seri Begawan", 'region'=>"Southeast Asia", 'currency'=>"Brunei Dollar", 'currency_code'=>"BND", 'languages'=>"Malay"),
    
    "BGR" => array('name'=>"Bulgaria", 'iso2'=>"BG", 'iso3'=>"BGR", 'fips104'=>"BU", 'isono'=>"100.00", 'capital'=>"Sofia", 'region'=>"Europe", 'currency'=>"Lev", 'currency_code'=>"BGL", 'languages'=>"Bulgarian"),
    
    "BFA" => array('name'=>"Burkina Faso", 'iso2'=>"BF", 'iso3'=>"BFA", 'fips104'=>"UV", 'isono'=>"854.00", 'capital'=>"Ouagadougou", 'region'=>"Africa", 'currency'=>"CFA Franc BCEAO", 'currency_code'=>"XOF", 'languages'=>""),
    
    "MMR" => array('name'=>"Burma", 'iso2'=>"MM", 'iso3'=>"MMR", 'fips104'=>"BM", 'isono'=>"104.00", 'capital'=>"Rangoon", 'region'=>"Southeast Asia", 'currency'=>"kyat", 'currency_code'=>"MMK", 'languages'=>""),
    
    "BDI" => array('name'=>"Burundi", 'iso2'=>"BI", 'iso3'=>"BDI", 'fips104'=>"BY", 'isono'=>"108.00", 'capital'=>"Bujumbura", 'region'=>"Africa", 'currency'=>"Burundi Franc", 'currency_code'=>"BIF", 'languages'=>"KiRundi+Swahili+French"),
    
    "KHM" => array('name'=>"Cambodia", 'iso2'=>"KH", 'iso3'=>"KHM", 'fips104'=>"CB", 'isono'=>"116.00", 'capital'=>"Phnom Penh", 'region'=>"Southeast Asia", 'currency'=>"Riel", 'currency_code'=>"KHR", 'languages'=>"Khmer+French+English"),
    
    "CMR" => array('name'=>"Cameroon", 'iso2'=>"CM", 'iso3'=>"CMR", 'fips104'=>"CM", 'isono'=>"120.00", 'capital'=>"Yaounde", 'region'=>"Africa", 'currency'=>"CFA Franc BEAC", 'currency_code'=>"XAF", 'languages'=>"French+English"),
    
    "CAN" => array('name'=>"Canada", 'iso2'=>"CA", 'iso3'=>"CAN", 'fips104'=>"CA", 'isono'=>"124.00", 'capital'=>"Ottawa", 'region'=>"North America", 'currency'=>"Canadian Dollar", 'currency_code'=>"CAD", 'languages'=>"English+French"),
    
    "CPV" => array('name'=>"Cape Verde", 'iso2'=>"CV", 'iso3'=>"CPV", 'fips104'=>"CV", 'isono'=>"132.00", 'capital'=>"Praia", 'region'=>"World", 'currency'=>"Cape Verdean Escudo", 'currency_code'=>"CVE", 'languages'=>"Portugese+Crioulo"),
    
    "CYM" => array('name'=>"Cayman Islands", 'iso2'=>"KY", 'iso3'=>"CYM", 'fips104'=>"CJ", 'isono'=>"136.00", 'capital'=>"George Town", 'region'=>"Central America and the Caribbean", 'currency'=>"Cayman Islands Dollar", 'currency_code'=>"KYD", 'languages'=>"English"),
    
    "CAF" => array('name'=>"Central African Republic", 'iso2'=>"CF", 'iso3'=>"CAF", 'fips104'=>"CT", 'isono'=>"140.00", 'capital'=>"Bangui", 'region'=>"Africa", 'currency'=>"CFA Franc BEAC", 'currency_code'=>"XAF", 'languages'=>"Sangho+French"),
    
    "TCD" => array('name'=>"Chad", 'iso2'=>"TD", 'iso3'=>"TCD", 'fips104'=>"CD", 'isono'=>"148.00", 'capital'=>"N'Djamena", 'region'=>"Africa", 'currency'=>"CFA Franc BEAC", 'currency_code'=>"XAF", 'languages'=>"French+Arabic"),
    
    "CHL" => array('name'=>"Chile", 'iso2'=>"CL", 'iso3'=>"CHL", 'fips104'=>"CI", 'isono'=>"152.00", 'capital'=>"Santiago", 'region'=>"South America", 'currency'=>"Chilean Peso", 'currency_code'=>"CLP", 'languages'=>"Spanish"),
    
    "CHN" => array('name'=>"China", 'iso2'=>"CN", 'iso3'=>"CHN", 'fips104'=>"CH", 'isono'=>"156.00", 'capital'=>"Beijing", 'region'=>"Asia", 'currency'=>"Yuan Renminbi", 'currency_code'=>"CNY", 'languages'=>"Chinese_Simplfied+Chinese_Traditional"),
    
    "COL" => array('name'=>"Colombia", 'iso2'=>"CO", 'iso3'=>"COL", 'fips104'=>"CO", 'isono'=>"170.00", 'capital'=>"Bogota", 'region'=>"South America, Central America and the Caribbean", 'currency'=>"Colombian Peso", 'currency_code'=>"COP", 'languages'=>"Spanish"),
    
    "COM" => array('name'=>"Comoros", 'iso2'=>"KM", 'iso3'=>"COM", 'fips104'=>"CN", 'isono'=>"174.00", 'capital'=>"Moroni", 'region'=>"Africa", 'currency'=>"Comoro Franc", 'currency_code'=>"KMF", 'languages'=>"Arabic+French"),
    
    "COD" => array('name'=>"Congo, Democratic Republic of the", 'iso2'=>"CD", 'iso3'=>"COD", 'fips104'=>"CG", 'isono'=>"180.00", 'capital'=>"Kinshasa", 'region'=>"Africa", 'currency'=>"Franc Congolais", 'currency_code'=>"CDF", 'languages'=>"French+Chiluba+Kikongo+Lingala+Swahili"),
    
    "COG" => array('name'=>"Congo, Republic of the", 'iso2'=>"CG", 'iso3'=>"COG", 'fips104'=>"CF", 'isono'=>"178.00", 'capital'=>"Brazzaville", 'region'=>"Africa", 'currency'=>"CFA Franc BEAC", 'currency_code'=>"XAF", 'languages'=>"French+Chiluba+Kikongo+Lingala+Swahili"),
    
    "COK" => array('name'=>"Cook Islands", 'iso2'=>"CK", 'iso3'=>"COK", 'fips104'=>"CW", 'isono'=>"184.00", 'capital'=>"Avarua", 'region'=>"Oceania", 'currency'=>"New Zealand Dollar", 'currency_code'=>"NZD", 'languages'=>"English+Maori"),
    
    "CRI" => array('name'=>"Costa Rica", 'iso2'=>"CR", 'iso3'=>"CRI", 'fips104'=>"CS", 'isono'=>"188.00", 'capital'=>"San Jose", 'region'=>"Central America and the Caribbean", 'currency'=>"Costa Rican Colon", 'currency_code'=>"CRC", 'languages'=>"Spanish+English"),
    
    "CIV" => array('name'=>"Cote d'Ivoire", 'iso2'=>"CI", 'iso3'=>"CIV", 'fips104'=>"IV", 'isono'=>"384.00", 'capital'=>"Yamoussoukro", 'region'=>"Africa", 'currency'=>"CFA Franc BCEAO", 'currency_code'=>"XOF", 'languages'=>"French"),
    
    "HRV" => array('name'=>"Croatia", 'iso2'=>"HR", 'iso3'=>"HRV", 'fips104'=>"HR", 'isono'=>"191.00", 'capital'=>"Zagreb", 'region'=>"Europe", 'currency'=>"Kuna", 'currency_code'=>"HRK", 'languages'=>"Croatian+Italian+Hungarian+Czech+Slovak+German"),
    
    "CUB" => array('name'=>"Cuba", 'iso2'=>"CU", 'iso3'=>"CUB", 'fips104'=>"CU", 'isono'=>"192.00", 'capital'=>"Havana", 'region'=>"Central America and the Caribbean", 'currency'=>"Cuban Peso", 'currency_code'=>"CUP", 'languages'=>"Spanish"),
    
    "CYP" => array('name'=>"Cyprus", 'iso2'=>"CY", 'iso3'=>"CYP", 'fips104'=>"CY", 'isono'=>"196.00", 'capital'=>"Nicosia", 'region'=>"Middle East", 'currency'=>"Cyprus Pound", 'currency_code'=>"CYP", 'languages'=>"Greek+Turkish+English"),
    
    "CZE" => array('name'=>"Czech Republic", 'iso2'=>"CZ", 'iso3'=>"CZE", 'fips104'=>"EZ", 'isono'=>"203.00", 'capital'=>"Prague", 'region'=>"Europe", 'currency'=>"Czech Koruna", 'currency_code'=>"CZK", 'languages'=>"Czech"),
    
    "DNK" => array('name'=>"Denmark", 'iso2'=>"DK", 'iso3'=>"DNK", 'fips104'=>"DA", 'isono'=>"208.00", 'capital'=>"Copenhagen", 'region'=>"Europe", 'currency'=>"Danish Krone", 'currency_code'=>"DKK", 'languages'=>"Danish+English+Faroese+Greenlandic+German"),
    
    "DJI" => array('name'=>"Djibouti", 'iso2'=>"DJ", 'iso3'=>"DJI", 'fips104'=>"DJ", 'isono'=>"262.00", 'capital'=>"Djibouti", 'region'=>"Africa", 'currency'=>"Djibouti Franc", 'currency_code'=>"DJF", 'languages'=>"French+Arabic+Somali"),
    
    "DMA" => array('name'=>"Dominica", 'iso2'=>"DM", 'iso3'=>"DMA", 'fips104'=>"DO", 'isono'=>"212.00", 'capital'=>"Roseau", 'region'=>"Central America and the Caribbean", 'currency'=>"East Caribbean Dollar", 'currency_code'=>"XCD", 'languages'=>"English+French"),
    
    "DOM" => array('name'=>"Dominican Republic", 'iso2'=>"DO", 'iso3'=>"DOM", 'fips104'=>"DR", 'isono'=>"214.00", 'capital'=>"Santo Domingo", 'region'=>"Central America and the Caribbean", 'currency'=>"Dominican Peso", 'currency_code'=>"DOP", 'languages'=>"Spanish"),
    
    "TLS" => array('name'=>"East Timor", 'iso2'=>"TL", 'iso3'=>"TLS", 'fips104'=>"TT", 'isono'=>"626.00", 'capital'=>"UNKOWN", 'region'=>"UNKOWN", 'currency'=>"Timor Escudo", 'currency_code'=>"TPE", 'languages'=>""),
    
    "ECU" => array('name'=>"Ecuador", 'iso2'=>"EC", 'iso3'=>"ECU", 'fips104'=>"EC", 'isono'=>"218.00", 'capital'=>"Quito", 'region'=>"South America", 'currency'=>"US dollar", 'currency_code'=>"USD", 'languages'=>"Spanish+Ketschua"),
    
    "EGY" => array('name'=>"Egypt", 'iso2'=>"EG", 'iso3'=>"EGY", 'fips104'=>"EG", 'isono'=>"818.00", 'capital'=>"Cairo", 'region'=>"Africa", 'currency'=>"Egyptian Pound", 'currency_code'=>"EGP", 'languages'=>"Arabic+English+French"),
    
    "SLV" => array('name'=>"El Salvador", 'iso2'=>"SV", 'iso3'=>"SLV", 'fips104'=>"ES", 'isono'=>"222.00", 'capital'=>"San Salvador", 'region'=>"Central America and the Caribbean", 'currency'=>"El Salvador Colon", 'currency_code'=>"SVC", 'languages'=>"Spanish"),
    
    "GNQ" => array('name'=>"Equatorial Guinea", 'iso2'=>"GQ", 'iso3'=>"GNQ", 'fips104'=>"EK", 'isono'=>"226.00", 'capital'=>"Malabo", 'region'=>"Africa", 'currency'=>"CFA Franc BEAC", 'currency_code'=>"XAF", 'languages'=>"Spanish+French+English"),
    
    "ERI" => array('name'=>"Eritrea", 'iso2'=>"ER", 'iso3'=>"ERI", 'fips104'=>"ER", 'isono'=>"232.00", 'capital'=>"Asmara", 'region'=>"Africa", 'currency'=>"Nakfa", 'currency_code'=>"ERN", 'languages'=>"Tigray+Arabic+English"),
    
    "EST" => array('name'=>"Estonia", 'iso2'=>"EE", 'iso3'=>"EST", 'fips104'=>"EN", 'isono'=>"233.00", 'capital'=>"Tallinn", 'region'=>"Europe", 'currency'=>"Kroon", 'currency_code'=>"EEK", 'languages'=>"Estonian+Russian+Ukrainian+Finnish"),
    
    "ETH" => array('name'=>"Ethiopia", 'iso2'=>"ET", 'iso3'=>"ETH", 'fips104'=>"ET", 'isono'=>"231.00", 'capital'=>"Addis Ababa", 'region'=>"Africa", 'currency'=>"Ethiopian Birr", 'currency_code'=>"ETB", 'languages'=>"Amharian+Tigray+English"),
    
    "FLK" => array('name'=>"Falkland Islands (Islas Malvinas)", 'iso2'=>"FK", 'iso3'=>"FLK", 'fips104'=>"FK", 'isono'=>"238.00", 'capital'=>"Stanley", 'region'=>"South America", 'currency'=>"Falkland Islands Pound", 'currency_code'=>"FKP", 'languages'=>"English"),
    
    "FRO" => array('name'=>"Faroe Islands", 'iso2'=>"FO", 'iso3'=>"FRO", 'fips104'=>"FO", 'isono'=>"234.00", 'capital'=>"Torshavn", 'region'=>"Europe", 'currency'=>"Danish Krone", 'currency_code'=>"DKK", 'languages'=>"Faroeic+Danish"),
    
    "FJI" => array('name'=>"Fiji", 'iso2'=>"FJ", 'iso3'=>"FJI", 'fips104'=>"FJ", 'isono'=>"242.00", 'capital'=>"Suva", 'region'=>"Oceania", 'currency'=>"Fijian Dollar", 'currency_code'=>"FJD", 'languages'=>"Fijian+Hindi+English"),
    
    "FIN" => array('name'=>"Finland", 'iso2'=>"FI", 'iso3'=>"FIN", 'fips104'=>"FI", 'isono'=>"246.00", 'capital'=>"Helsinki", 'region'=>"Europe", 'currency'=>"Euro", 'currency_code'=>"EUR", 'languages'=>"Finnish+Swedish+English"),
    
    "FRA" => array('name'=>"France", 'iso2'=>"FR", 'iso3'=>"FRA", 'fips104'=>"FR", 'isono'=>"250.00", 'capital'=>"Paris", 'region'=>"Europe", 'currency'=>"Euro", 'currency_code'=>"EUR", 'languages'=>"French"),
    
    "GUF" => array('name'=>"French Guiana", 'iso2'=>"GF", 'iso3'=>"GUF", 'fips104'=>"FG", 'isono'=>"254.00", 'capital'=>"Cayenne", 'region'=>"South America", 'currency'=>"Euro", 'currency_code'=>"EUR", 'languages'=>"French"),
    
    "PYF" => array('name'=>"French Polynesia", 'iso2'=>"PF", 'iso3'=>"PYF", 'fips104'=>"FP", 'isono'=>"258.00", 'capital'=>"Papeete", 'region'=>"Oceania", 'currency'=>"CFP Franc", 'currency_code'=>"XPF", 'languages'=>"French"),
    
    "ATF" => array('name'=>"French Southern and Antarctic Lands", 'iso2'=>"TF", 'iso3'=>"ATF", 'fips104'=>"FS", 'isono'=>"260.00", 'capital'=>"UNKOWN", 'region'=>"Antarctic Region", 'currency'=>"Euro", 'currency_code'=>"EUR", 'languages'=>"French"),
    
    "GAB" => array('name'=>"Gabon", 'iso2'=>"GA", 'iso3'=>"GAB", 'fips104'=>"GB", 'isono'=>"266.00", 'capital'=>"Libreville", 'region'=>"Africa", 'currency'=>"CFA Franc BEAC", 'currency_code'=>"XAF", 'languages'=>"French+Fang+Bantu"),
    
    "GEO" => array('name'=>"Georgia", 'iso2'=>"GE", 'iso3'=>"GEO", 'fips104'=>"GG", 'isono'=>"268.00", 'capital'=>"T'bilisi", 'region'=>"Commonwealth of Independent States", 'currency'=>"Lari", 'currency_code'=>"GEL", 'languages'=>"Georgian+Russian+Armenian+Azeri"),
    
    "DEU" => array('name'=>"Germany", 'iso2'=>"DE", 'iso3'=>"DEU", 'fips104'=>"GM", 'isono'=>"276.00", 'capital'=>"Berlin", 'region'=>"Europe", 'currency'=>"Euro", 'currency_code'=>"EUR", 'languages'=>"German"),
    
    "GHA" => array('name'=>"Ghana", 'iso2'=>"GH", 'iso3'=>"GHA", 'fips104'=>"GH", 'isono'=>"288.00", 'capital'=>"Accra", 'region'=>"Africa", 'currency'=>"Cedi", 'currency_code'=>"GHC", 'languages'=>"English+Kwa+Gur"),
    
    "GIB" => array('name'=>"Gibraltar", 'iso2'=>"GI", 'iso3'=>"GIB", 'fips104'=>"GI", 'isono'=>"292.00", 'capital'=>"Gibraltar", 'region'=>"Europe", 'currency'=>"Gibraltar Pound", 'currency_code'=>"GIP", 'languages'=>"English+Spanish+Italian+Portuguese"),
    
    "GRC" => array('name'=>"Greece", 'iso2'=>"GR", 'iso3'=>"GRC", 'fips104'=>"GR", 'isono'=>"300.00", 'capital'=>"Athens", 'region'=>"Europe", 'currency'=>"Euro", 'currency_code'=>"EUR", 'languages'=>"Greek"),
    
    "GRL" => array('name'=>"Greenland", 'iso2'=>"GL", 'iso3'=>"GRL", 'fips104'=>"GL", 'isono'=>"304.00", 'capital'=>"Nuuk", 'region'=>"Arctic Region", 'currency'=>"Danish Krone", 'currency_code'=>"DKK", 'languages'=>"Greenlandic+Danish+English"),
    
    "GRD" => array('name'=>"Grenada", 'iso2'=>"GD", 'iso3'=>"GRD", 'fips104'=>"GJ", 'isono'=>"308.00", 'capital'=>"Saint George's", 'region'=>"Central America and the Caribbean", 'currency'=>"East Caribbean Dollar", 'currency_code'=>"XCD", 'languages'=>"English+French"),
    
    "GLP" => array('name'=>"Guadeloupe", 'iso2'=>"GP", 'iso3'=>"GLP", 'fips104'=>"GP", 'isono'=>"312.00", 'capital'=>"Basse-Terre", 'region'=>"Central America and the Caribbean", 'currency'=>"Euro", 'currency_code'=>"EUR", 'languages'=>"French"),
    
    "GUM" => array('name'=>"Guam", 'iso2'=>"GU", 'iso3'=>"GUM", 'fips104'=>"GQ", 'isono'=>"316.00", 'capital'=>"Hagatna", 'region'=>"Oceania", 'currency'=>"US Dollar", 'currency_code'=>"USD", 'languages'=>"English+Chamorro+Japanese"),
    
    "GTM" => array('name'=>"Guatemala", 'iso2'=>"GT", 'iso3'=>"GTM", 'fips104'=>"GT", 'isono'=>"320.00", 'capital'=>"Guatemala", 'region'=>"Central America and the Caribbean", 'currency'=>"Quetzal", 'currency_code'=>"GTQ", 'languages'=>"Spanish+Quiche+Cakchiquel+Kekchi+Mam+Garifuna+Xinca"),
    
    "GIN" => array('name'=>"Guinea", 'iso2'=>"GN", 'iso3'=>"GIN", 'fips104'=>"GV", 'isono'=>"324.00", 'capital'=>"Conakry", 'region'=>"Africa", 'currency'=>"Guinean Franc", 'currency_code'=>"GNF", 'languages'=>"French+Mande+Susu"),
    
    "GNB" => array('name'=>"Guinea-Bissau", 'iso2'=>"GW", 'iso3'=>"GNB", 'fips104'=>"PU", 'isono'=>"624.00", 'capital'=>"Bissau", 'region'=>"Africa", 'currency'=>"CFA Franc BCEAO", 'currency_code'=>"XOF", 'languages'=>"Portugese+Crioulo"),
    
    "GUY" => array('name'=>"Guyana", 'iso2'=>"GY", 'iso3'=>"GUY", 'fips104'=>"GY", 'isono'=>"328.00", 'capital'=>"Georgetown", 'region'=>"South America", 'currency'=>"Guyana Dollar", 'currency_code'=>"GYD", 'languages'=>"English+Creole+Hindi+Urdu"),
    
    "HTI" => array('name'=>"Haiti", 'iso2'=>"HT", 'iso3'=>"HTI", 'fips104'=>"HA", 'isono'=>"332.00", 'capital'=>"Port-au-Prince", 'region'=>"Central America and the Caribbean", 'currency'=>"Gourde", 'currency_code'=>"HTG", 'languages'=>"French+Creole"),
    
    "VAT" => array('name'=>"Holy See (Vatican City)", 'iso2'=>"VA", 'iso3'=>"VAT", 'fips104'=>"VT", 'isono'=>"336.00", 'capital'=>"Vatican City", 'region'=>"Europe", 'currency'=>"Euro", 'currency_code'=>"EUR", 'languages'=>"Italian+Latin+French"),
    
    "HND" => array('name'=>"Honduras", 'iso2'=>"HN", 'iso3'=>"HND", 'fips104'=>"HO", 'isono'=>"340.00", 'capital'=>"Tegucigalpa", 'region'=>"Central America and the Caribbean", 'currency'=>"Lempira", 'currency_code'=>"HNL", 'languages'=>"Spanish"),
    
    "HKG" => array('name'=>"Hong Kong (SAR)", 'iso2'=>"HK", 'iso3'=>"HKG", 'fips104'=>"HK", 'isono'=>"344.00", 'capital'=>"Hong Kong", 'region'=>"Southeast Asia", 'currency'=>"Hong Kong Dollar", 'currency_code'=>"HKD", 'languages'=>"Chinese_Simplfied+Chinese_Traditional+English"),
    
    "HUN" => array('name'=>"Hungary", 'iso2'=>"HU", 'iso3'=>"HUN", 'fips104'=>"HU", 'isono'=>"348.00", 'capital'=>"Budapest", 'region'=>"Europe", 'currency'=>"Forint", 'currency_code'=>"HUF", 'languages'=>"Hungarian"),
    
    "ISL" => array('name'=>"Iceland", 'iso2'=>"IS", 'iso3'=>"ISL", 'fips104'=>"IC", 'isono'=>"352.00", 'capital'=>"Reykjavik", 'region'=>"Arctic Region", 'currency'=>"Iceland Krona", 'currency_code'=>"ISK", 'languages'=>"Icelandic+English+German+Norwegian+Swedish+Danish"),
    
    "IND" => array('name'=>"India", 'iso2'=>"IN", 'iso3'=>"IND", 'fips104'=>"IN", 'isono'=>"356.00", 'capital'=>"New Delhi", 'region'=>"Asia", 'currency'=>"Indian Rupee", 'currency_code'=>"INR", 'languages'=>"Hindi+English"),
    
    "IDN" => array('name'=>"Indonesia", 'iso2'=>"ID", 'iso3'=>"IDN", 'fips104'=>"ID", 'isono'=>"360.00", 'capital'=>"Jakarta", 'region'=>"Southeast Asia", 'currency'=>"Rupiah", 'currency_code'=>"IDR", 'languages'=>"Bahasa+English+Dutch"),
    
    "IRN" => array('name'=>"Iran", 'iso2'=>"IR", 'iso3'=>"IRN", 'fips104'=>"IR", 'isono'=>"364.00", 'capital'=>"Tehran", 'region'=>"Middle East", 'currency'=>"Iranian Rial", 'currency_code'=>"IRR", 'languages'=>"Persian"),
    
    "IRQ" => array('name'=>"Iraq", 'iso2'=>"IQ", 'iso3'=>"IRQ", 'fips104'=>"IZ", 'isono'=>"368.00", 'capital'=>"Baghdad", 'region'=>"Middle East", 'currency'=>"Iraqi Dinar", 'currency_code'=>"IQD", 'languages'=>"Arabic+Kurdish+Assyrian+Armenian"),
    
    "IRL" => array('name'=>"Ireland", 'iso2'=>"IE", 'iso3'=>"IRL", 'fips104'=>"EI", 'isono'=>"372.00", 'capital'=>"Dublin", 'region'=>"Europe", 'currency'=>"Euro", 'currency_code'=>"EUR", 'languages'=>"English+Irish"),
    
    "ISR" => array('name'=>"Israel", 'iso2'=>"IL", 'iso3'=>"ISR", 'fips104'=>"IS", 'isono'=>"376.00", 'capital'=>"Jerusalem", 'region'=>"Middle East", 'currency'=>"New Israeli Sheqel", 'currency_code'=>"ILS", 'languages'=>"Hebrew+Arabic+English"),
    
    "ITA" => array('name'=>"Italy", 'iso2'=>"IT", 'iso3'=>"ITA", 'fips104'=>"IT", 'isono'=>"380.00", 'capital'=>"Rome", 'region'=>"Europe", 'currency'=>"Euro", 'currency_code'=>"EUR", 'languages'=>"Italian"),
    
    "JAM" => array('name'=>"Jamaica", 'iso2'=>"JM", 'iso3'=>"JAM", 'fips104'=>"JM", 'isono'=>"388.00", 'capital'=>"Kingston", 'region'=>"Central America and the Caribbean", 'currency'=>"Jamaican dollar", 'currency_code'=>"JMD", 'languages'=>"English"),
    
    "JPN" => array('name'=>"Japan", 'iso2'=>"JP", 'iso3'=>"JPN", 'fips104'=>"JA", 'isono'=>"392.00", 'capital'=>"Tokyo", 'region'=>"Asia", 'currency'=>"Yen", 'currency_code'=>"JPY", 'languages'=>"Japaneese"),
    
    "JOR" => array('name'=>"Jordan", 'iso2'=>"JO", 'iso3'=>"JOR", 'fips104'=>"JO", 'isono'=>"400.00", 'capital'=>"Amman", 'region'=>"Middle East", 'currency'=>"Jordanian Dinar", 'currency_code'=>"JOD", 'languages'=>"Arabic+English"),
    
    "KAZ" => array('name'=>"Kazakhstan", 'iso2'=>"KZ", 'iso3'=>"KAZ", 'fips104'=>"KZ", 'isono'=>"398.00", 'capital'=>"Astana", 'region'=>"Commonwealth of Independent States", 'currency'=>"Tenge", 'currency_code'=>"KZT", 'languages'=>"Kazakh+Russian"),
    
    "KEN" => array('name'=>"Kenya", 'iso2'=>"KE", 'iso3'=>"KEN", 'fips104'=>"KE", 'isono'=>"404.00", 'capital'=>"Nairobi", 'region'=>"Africa", 'currency'=>"Kenyan shilling", 'currency_code'=>"KES", 'languages'=>"Swahili+English+Kikuyo+Luo"),
    
    "KIR" => array('name'=>"Kiribati", 'iso2'=>"KI", 'iso3'=>"KIR", 'fips104'=>"KR", 'isono'=>"296.00", 'capital'=>"Tarawa", 'region'=>"Oceania", 'currency'=>"Australian dollar", 'currency_code'=>"AUD", 'languages'=>"i-Kiribati+English"),
    
    "PRK" => array('name'=>"Korea, North", 'iso2'=>"KP", 'iso3'=>"PRK", 'fips104'=>"KN", 'isono'=>"408.00", 'capital'=>"P'yongyang", 'region'=>"Asia", 'currency'=>"North Korean Won", 'currency_code'=>"KPW", 'languages'=>"Korean"),
    
    "KOR" => array('name'=>"Korea, South", 'iso2'=>"KR", 'iso3'=>"KOR", 'fips104'=>"KS", 'isono'=>"410.00", 'capital'=>"Seoul", 'region'=>"Asia", 'currency'=>"Won", 'currency_code'=>"KRW", 'languages'=>"Korean+English"),
    
    "KWT" => array('name'=>"Kuwait", 'iso2'=>"KW", 'iso3'=>"KWT", 'fips104'=>"KU", 'isono'=>"414.00", 'capital'=>"Kuwait", 'region'=>"Middle East", 'currency'=>"Kuwaiti Dinar", 'currency_code'=>"KWD", 'languages'=>"Arabic+English"),
    
    "KGZ" => array('name'=>"Kyrgyzstan", 'iso2'=>"KG", 'iso3'=>"KGZ", 'fips104'=>"KG", 'isono'=>"417.00", 'capital'=>"Bishkek", 'region'=>"Commonwealth of Independent States", 'currency'=>"Som", 'currency_code'=>"KGS", 'languages'=>"Kyrgyz+Russian"),
    
    "LAO" => array('name'=>"Laos", 'iso2'=>"LA", 'iso3'=>"LAO", 'fips104'=>"LA", 'isono'=>"418.00", 'capital'=>"Vientiane", 'region'=>"Southeast Asia", 'currency'=>"Kip", 'currency_code'=>"LAK", 'languages'=>"Lao+French+English"),
    
    "LVA" => array('name'=>"Latvia", 'iso2'=>"LV", 'iso3'=>"LVA", 'fips104'=>"LG", 'isono'=>"428.00", 'capital'=>"Riga", 'region'=>"Europe", 'currency'=>"Latvian Lats", 'currency_code'=>"LVL", 'languages'=>"Latvian+Lithuanian+Russian"),
    
    "LBN" => array('name'=>"Lebanon", 'iso2'=>"LB", 'iso3'=>"LBN", 'fips104'=>"LE", 'isono'=>"422.00", 'capital'=>"Beirut", 'region'=>"Middle East", 'currency'=>"Lebanese Pound", 'currency_code'=>"LBP", 'languages'=>"Arabic+French+English+Armenian"),
    
    "LSO" => array('name'=>"Lesotho", 'iso2'=>"LS", 'iso3'=>"LSO", 'fips104'=>"LT", 'isono'=>"426.00", 'capital'=>"Maseru", 'region'=>"Africa", 'currency'=>"Loti", 'currency_code'=>"LSL", 'languages'=>"Sesotho+English+Zulu+Xhosa"),
    
    "LBR" => array('name'=>"Liberia", 'iso2'=>"LR", 'iso3'=>"LBR", 'fips104'=>"LI", 'isono'=>"430.00", 'capital'=>"Monrovia", 'region'=>"Africa", 'currency'=>"Liberian Dollar", 'currency_code'=>"LRD", 'languages'=>"English"),
    
    "LBY" => array('name'=>"Libya", 'iso2'=>"LY", 'iso3'=>"LBY", 'fips104'=>"LY", 'isono'=>"434.00", 'capital'=>"Tripoli", 'region'=>"Africa", 'currency'=>"Libyan Dinar", 'currency_code'=>"LYD", 'languages'=>"Arabic"),
    
    "LIE" => array('name'=>"Liechtenstein", 'iso2'=>"LI", 'iso3'=>"LIE", 'fips104'=>"LS", 'isono'=>"438.00", 'capital'=>"Vaduz", 'region'=>"Europe", 'currency'=>"Swiss Franc", 'currency_code'=>"CHF", 'languages'=>"German"),
    
    "LTU" => array('name'=>"Lithuania", 'iso2'=>"LT", 'iso3'=>"LTU", 'fips104'=>"LH", 'isono'=>"440.00", 'capital'=>"Vilnius", 'region'=>"Europe", 'currency'=>"Lithuanian Litas", 'currency_code'=>"LTL", 'languages'=>"Lithuanian"),
    
    "LUX" => array('name'=>"Luxembourg", 'iso2'=>"LU", 'iso3'=>"LUX", 'fips104'=>"LU", 'isono'=>"442.00", 'capital'=>"Luxembourg", 'region'=>"Europe", 'currency'=>"Euro", 'currency_code'=>"EUR", 'languages'=>"Luxembourgish+German+French"),
    
    "MAC" => array('name'=>"Macao", 'iso2'=>"MO", 'iso3'=>"MAC", 'fips104'=>"MC", 'isono'=>"446.00", 'capital'=>"Macao", 'region'=>"Southeast Asia", 'currency'=>"Pataca", 'currency_code'=>"MOP", 'languages'=>"Chinese_Simplfied+Chinese_Traditional+Portuguese"),
    
    "MKD" => array('name'=>"Macedonia, The Former Yugoslav Republic of", 'iso2'=>"MK", 'iso3'=>"MKD", 'fips104'=>"MK", 'isono'=>"807.00", 'capital'=>"Skopje", 'region'=>"Europe", 'currency'=>"Denar", 'currency_code'=>"MKD", 'languages'=>"Macedonian+Albanian+Turkish+Roma+Serbian"),
    
    "MDG" => array('name'=>"Madagascar", 'iso2'=>"MG", 'iso3'=>"MDG", 'fips104'=>"MA", 'isono'=>"450.00", 'capital'=>"Antananarivo", 'region'=>"Africa", 'currency'=>"Malagasy Franc", 'currency_code'=>"MGF", 'languages'=>"Malagasy+French"),
    
    "MWI" => array('name'=>"Malawi", 'iso2'=>"MW", 'iso3'=>"MWI", 'fips104'=>"MI", 'isono'=>"454.00", 'capital'=>"Lilongwe", 'region'=>"Africa", 'currency'=>"Kwacha", 'currency_code'=>"MWK", 'languages'=>"Chichewa+English"),
    
    "MYS" => array('name'=>"Malaysia", 'iso2'=>"MY", 'iso3'=>"MYS", 'fips104'=>"MY", 'isono'=>"458.00", 'capital'=>"Kuala Lumpur", 'region'=>"Southeast Asia", 'currency'=>"Malaysian Ringgit", 'currency_code'=>"MYR", 'languages'=>"BahasaMelayu+English+Chinese_Simplfied+Chinese_traditional+Tamil+Telugu+Malayalam"),
    
    "MDV" => array('name'=>"Maldives", 'iso2'=>"MV", 'iso3'=>"MDV", 'fips104'=>"MV", 'isono'=>"462.00", 'capital'=>"Male", 'region'=>"Asia", 'currency'=>"Rufiyaa", 'currency_code'=>"MVR", 'languages'=>"Maldivian+English"),
    
    "MLI" => array('name'=>"Mali", 'iso2'=>"ML", 'iso3'=>"MLI", 'fips104'=>"ML", 'isono'=>"466.00", 'capital'=>"Bamako", 'region'=>"Africa", 'currency'=>"CFA Franc BCEAO", 'currency_code'=>"XOF", 'languages'=>"Bambara+French+Songhai"),
    
    "MLT" => array('name'=>"Malta", 'iso2'=>"MT", 'iso3'=>"MLT", 'fips104'=>"MT", 'isono'=>"470.00", 'capital'=>"Valletta", 'region'=>"Europe", 'currency'=>"Maltese Lira", 'currency_code'=>"MTL", 'languages'=>"Maltese+English"),
    
    "MHL" => array('name'=>"Marshall Islands", 'iso2'=>"MH", 'iso3'=>"MHL", 'fips104'=>"RM", 'isono'=>"584.00", 'capital'=>"Majuro", 'region'=>"Oceania", 'currency'=>"US dollar", 'currency_code'=>"USD", 'languages'=>"English"),
    
    "MTQ" => array('name'=>"Martinique", 'iso2'=>"MQ", 'iso3'=>"MTQ", 'fips104'=>"MB", 'isono'=>"474.00", 'capital'=>"Fort-de-France", 'region'=>"Central America and the Caribbean", 'currency'=>"Euro", 'currency_code'=>"EUR", 'languages'=>"French+Creole"),
    
    "MRT" => array('name'=>"Mauritania", 'iso2'=>"MR", 'iso3'=>"MRT", 'fips104'=>"MR", 'isono'=>"478.00", 'capital'=>"Nouakchott", 'region'=>"Africa", 'currency'=>"Ouguiya", 'currency_code'=>"MRO", 'languages'=>"Arabic+Pulaar+Soninke+French+Hassaniya+Wolof"),
    
    "MUS" => array('name'=>"Mauritius", 'iso2'=>"MU", 'iso3'=>"MUS", 'fips104'=>"MP", 'isono'=>"480.00", 'capital'=>"Port Louis", 'region'=>"World", 'currency'=>"Mauritius Rupee", 'currency_code'=>"MUR", 'languages'=>"Mauritian+Bhojipuri+English+French"),
    
    "MEX" => array('name'=>"Mexico", 'iso2'=>"MX", 'iso3'=>"MEX", 'fips104'=>"MX", 'isono'=>"484.00", 'capital'=>"Mexico", 'region'=>"North America", 'currency'=>"Mexican Peso", 'currency_code'=>"MXN", 'languages'=>"Spanish"),
    
    "FSM" => array('name'=>"Micronesia, Federated States of", 'iso2'=>"FM", 'iso3'=>"FSM", 'fips104'=>"FM", 'isono'=>"583.00", 'capital'=>"Palikir", 'region'=>"Oceania", 'currency'=>"US dollar", 'currency_code'=>"USD", 'languages'=>"English+Trukese+Pohnpeian+Yapese+Kosrean+Ulithian+Woleaian+Nukuoro+Kapingamarangi"),
    
    "MDA" => array('name'=>"Moldova", 'iso2'=>"MD", 'iso3'=>"MDA", 'fips104'=>"MD", 'isono'=>"498.00", 'capital'=>"Chisinau", 'region'=>"Commonwealth of Independent States", 'currency'=>"Moldovan Leu", 'currency_code'=>"MDL", 'languages'=>"Moldovan+Romanian+Russian+Gagauz"),
    
    "MCO" => array('name'=>"Monaco", 'iso2'=>"MC", 'iso3'=>"MCO", 'fips104'=>"MN", 'isono'=>"492.00", 'capital'=>"Monaco", 'region'=>"Europe", 'currency'=>"Euro", 'currency_code'=>"EUR", 'languages'=>"French+English+Italian+Monegasque"),
    
    "MNG" => array('name'=>"Mongolia", 'iso2'=>"MN", 'iso3'=>"MNG", 'fips104'=>"MG", 'isono'=>"496.00", 'capital'=>"Ulaanbaatar", 'region'=>"Asia", 'currency'=>"Tugrik", 'currency_code'=>"MNT", 'languages'=>"Mongolian+Turkic+Russian"),
    
    "MSR" => array('name'=>"Montserrat", 'iso2'=>"MS", 'iso3'=>"MSR", 'fips104'=>"MH", 'isono'=>"500.00", 'capital'=>"Plymouth", 'region'=>"Central America and the Caribbean", 'currency'=>"East Caribbean Dollar", 'currency_code'=>"XCD", 'languages'=>""),
    
    "MAR" => array('name'=>"Morocco", 'iso2'=>"MA", 'iso3'=>"MAR", 'fips104'=>"MO", 'isono'=>"504.00", 'capital'=>"Rabat", 'region'=>"Africa", 'currency'=>"Moroccan Dirham", 'currency_code'=>"MAD", 'languages'=>"Arabic+Berber+French"),
    
    "MOZ" => array('name'=>"Mozambique", 'iso2'=>"MZ", 'iso3'=>"MOZ", 'fips104'=>"MZ", 'isono'=>"508.00", 'capital'=>"Maputo", 'region'=>"Africa", 'currency'=>"Metical", 'currency_code'=>"MZM", 'languages'=>"Portugese+Swahili+Makhuwa+Tsonga+Lomwe+Sena"),
    
    "NAM" => array('name'=>"Namibia", 'iso2'=>"NA", 'iso3'=>"NAM", 'fips104'=>"WA", 'isono'=>"516.00", 'capital'=>"Windhoek", 'region'=>"Africa", 'currency'=>"Namibian Dollar", 'currency_code'=>"NAD", 'languages'=>"English+Bantu+Afrikaans+German"),
    
    "NRU" => array('name'=>"Nauru", 'iso2'=>"NR", 'iso3'=>"NRU", 'fips104'=>"NR", 'isono'=>"520.00", 'capital'=>"UNKOWN", 'region'=>"Oceania", 'currency'=>"Australian Dollar", 'currency_code'=>"AUD", 'languages'=>"Nauruan+English"),
    
    "NPL" => array('name'=>"Nepal", 'iso2'=>"NP", 'iso3'=>"NPL", 'fips104'=>"NP", 'isono'=>"524.00", 'capital'=>"Kathmandu", 'region'=>"Asia", 'currency'=>"Nepalese Rupee", 'currency_code'=>"NPR", 'languages'=>"Nepalese+Maithili+Bhojpuri"),
    
    "NLD" => array('name'=>"Netherlands", 'iso2'=>"NL", 'iso3'=>"NLD", 'fips104'=>"NL", 'isono'=>"528.00", 'capital'=>"Amsterdam", 'region'=>"Europe", 'currency'=>"Euro", 'currency_code'=>"EUR", 'languages'=>"Dutch+German+English"),
    
    "ANT" => array('name'=>"Netherlands Antilles", 'iso2'=>"AN", 'iso3'=>"ANT", 'fips104'=>"NT", 'isono'=>"530.00", 'capital'=>"Willemstad", 'region'=>"Central America and the Caribbean", 'currency'=>"Netherlands Antillean guilder", 'currency_code'=>"ANG", 'languages'=>"Dutch+Papiamento+English"),
    
    "NCL" => array('name'=>"New Caledonia", 'iso2'=>"NC", 'iso3'=>"NCL", 'fips104'=>"NC", 'isono'=>"540.00", 'capital'=>"Noumea", 'region'=>"Oceania", 'currency'=>"CFP Franc", 'currency_code'=>"XPF", 'languages'=>"French"),
    
    "NZL" => array('name'=>"New Zealand", 'iso2'=>"NZ", 'iso3'=>"NZL", 'fips104'=>"NZ", 'isono'=>"554.00", 'capital'=>"Wellington", 'region'=>"Oceania", 'currency'=>"New Zealand Dollar", 'currency_code'=>"NZD", 'languages'=>"English"),
    
    "NIC" => array('name'=>"Nicaragua", 'iso2'=>"NI", 'iso3'=>"NIC", 'fips104'=>"NU", 'isono'=>"558.00", 'capital'=>"Managua", 'region'=>"Central America and the Caribbean", 'currency'=>"Cordoba Oro", 'currency_code'=>"NIO", 'languages'=>"Spanish+English"),
    
    "NER" => array('name'=>"Niger", 'iso2'=>"NE", 'iso3'=>"NER", 'fips104'=>"NG", 'isono'=>"562.00", 'capital'=>"Niamey", 'region'=>"Africa", 'currency'=>"CFA Franc BCEAO", 'currency_code'=>"XOF", 'languages'=>"Hausa+Songhai+French"),
    
    "NGA" => array('name'=>"Nigeria", 'iso2'=>"NG", 'iso3'=>"NGA", 'fips104'=>"NI", 'isono'=>"566.00", 'capital'=>"Abuja", 'region'=>"Africa", 'currency'=>"Naira", 'currency_code'=>"NGN", 'languages'=>"English+Yoruba+Igbo+Ful+Hausa"),
    
    "NFK" => array('name'=>"Norfolk Island", 'iso2'=>"NF", 'iso3'=>"NFK", 'fips104'=>"NF", 'isono'=>"574.00", 'capital'=>"Kingston", 'region'=>"Oceania", 'currency'=>"Australian Dollar", 'currency_code'=>"AUD", 'languages'=>"English+Norfolk"),
    
    "MNP" => array('name'=>"Northern Mariana Islands", 'iso2'=>"MP", 'iso3'=>"MNP", 'fips104'=>"CQ", 'isono'=>"580.00", 'capital'=>"Saipan", 'region'=>"Oceania", 'currency'=>"US Dollar", 'currency_code'=>"USD", 'languages'=>"Chamorro+English+Carolinian"),
    
    "NOR" => array('name'=>"Norway", 'iso2'=>"NO", 'iso3'=>"NOR", 'fips104'=>"NO", 'isono'=>"578.00", 'capital'=>"Oslo", 'region'=>"Europe", 'currency'=>"Norwegian Krone", 'currency_code'=>"NOK", 'languages'=>"Norwegian"),
    
    "OMN" => array('name'=>"Oman", 'iso2'=>"OM", 'iso3'=>"OMN", 'fips104'=>"MU", 'isono'=>"512.00", 'capital'=>"Muscat", 'region'=>"Middle East", 'currency'=>"Rial Omani", 'currency_code'=>"OMR", 'languages'=>"Arabic+English+Baluchi+Urdu"),
    
    "PAK" => array('name'=>"Pakistan", 'iso2'=>"PK", 'iso3'=>"PAK", 'fips104'=>"PK", 'isono'=>"586.00", 'capital'=>"Islamabad", 'region'=>"Asia", 'currency'=>"Pakistan Rupee", 'currency_code'=>"PKR", 'languages'=>"Punjan+Urdu+Pushtu+Sindh"),
    
    "PLW" => array('name'=>"Palau", 'iso2'=>"PW", 'iso3'=>"PLW", 'fips104'=>"PS", 'isono'=>"585.00", 'capital'=>"Koror", 'region'=>"Oceania", 'currency'=>"US dollar", 'currency_code'=>"USD", 'languages'=>"Palauan+English"),
    
    "PSE" => array('name'=>"Palestinian Territory, Occupied", 'iso2'=>"PS", 'iso3'=>"PSE", 'fips104'=>"--", 'isono'=>"275.00", 'capital'=>"UNKOWN", 'region'=>"UNKOWN", 'currency'=>"UNKOWN", 'currency_code'=>"UNKOWN", 'languages'=>"Arabic+Hebrew"),
    
    "PAN" => array('name'=>"Panama", 'iso2'=>"PA", 'iso3'=>"PAN", 'fips104'=>"PM", 'isono'=>"591.00", 'capital'=>"Panama", 'region'=>"Central America and the Caribbean", 'currency'=>"balboa", 'currency_code'=>"PAB", 'languages'=>"Spanish+English"),
    
    "PNG" => array('name'=>"Papua New Guinea", 'iso2'=>"PG", 'iso3'=>"PNG", 'fips104'=>"PP", 'isono'=>"598.00", 'capital'=>"Port Moresby", 'region'=>"Oceania", 'currency'=>"Kina", 'currency_code'=>"PGK", 'languages'=>"English+Pidgin"),
    
    "PRY" => array('name'=>"Paraguay", 'iso2'=>"PY", 'iso3'=>"PRY", 'fips104'=>"PA", 'isono'=>"600.00", 'capital'=>"Asuncion", 'region'=>"South America", 'currency'=>"Guarani", 'currency_code'=>"PYG", 'languages'=>"Spanish+Guarani"),
    
    "PER" => array('name'=>"Peru", 'iso2'=>"PE", 'iso3'=>"PER", 'fips104'=>"PE", 'isono'=>"604.00", 'capital'=>"Lima", 'region'=>"South America", 'currency'=>"Nuevo Sol", 'currency_code'=>"PEN", 'languages'=>"Spanish+Quechua+Aymara"),
    
    "PHL" => array('name'=>"Philippines", 'iso2'=>"PH", 'iso3'=>"PHL", 'fips104'=>"RP", 'isono'=>"608.00", 'capital'=>"Manila", 'region'=>"Southeast Asia", 'currency'=>"Philippine Peso", 'currency_code'=>"PHP", 'languages'=>"Filipino+English"),
    
    "PCN" => array('name'=>"Pitcairn Islands", 'iso2'=>"PN", 'iso3'=>"PCN", 'fips104'=>"PC", 'isono'=>"612.00", 'capital'=>"Adamstown", 'region'=>"Oceania", 'currency'=>"New Zealand Dollar", 'currency_code'=>"NZD", 'languages'=>"English+Pitcairnese"),
    
    "POL" => array('name'=>"Poland", 'iso2'=>"PL", 'iso3'=>"POL", 'fips104'=>"PL", 'isono'=>"616.00", 'capital'=>"Warsaw", 'region'=>"Europe", 'currency'=>"Zloty", 'currency_code'=>"PLN", 'languages'=>"Polish"),
    
    "PRT" => array('name'=>"Portugal", 'iso2'=>"PT", 'iso3'=>"PRT", 'fips104'=>"PO", 'isono'=>"620.00", 'capital'=>"Lisbon", 'region'=>"Europe", 'currency'=>"Euro", 'currency_code'=>"EUR", 'languages'=>"Portuguese"),
    
    "PRI" => array('name'=>"Puerto Rico", 'iso2'=>"PR", 'iso3'=>"PRI", 'fips104'=>"RQ", 'isono'=>"630.00", 'capital'=>"San Juan", 'region'=>"Central America and the Caribbean", 'currency'=>"US dollar", 'currency_code'=>"USD", 'languages'=>"Spanish+English"),
    
    "QAT" => array('name'=>"Qatar", 'iso2'=>"QA", 'iso3'=>"QAT", 'fips104'=>"QA", 'isono'=>"634.00", 'capital'=>"Doha", 'region'=>"Middle East", 'currency'=>"Qatari Rial", 'currency_code'=>"QAR", 'languages'=>"Arabic+English"),
    
    "ROU" => array('name'=>"Romania", 'iso2'=>"RO", 'iso3'=>"ROU", 'fips104'=>"RO", 'isono'=>"642.00", 'capital'=>"Bucharest", 'region'=>"Europe", 'currency'=>"Leu", 'currency_code'=>"ROL", 'languages'=>"Romanian"),
    
    "RUS" => array('name'=>"Russia", 'iso2'=>"RU", 'iso3'=>"RUS", 'fips104'=>"RS", 'isono'=>"643.00", 'capital'=>"Moscow", 'region'=>"Asia", 'currency'=>"Russian Ruble", 'currency_code'=>"RUB", 'languages'=>"Russian"),
    
    "RWA" => array('name'=>"Rwanda", 'iso2'=>"RW", 'iso3'=>"RWA", 'fips104'=>"RW", 'isono'=>"646.00", 'capital'=>"Kigali", 'region'=>"Africa", 'currency'=>"Rwanda Franc", 'currency_code'=>"RWF", 'languages'=>"Kinyarwanda+French+English+Kiswahili"),
    
    "REU" => array('name'=>"Runion", 'iso2'=>"RE", 'iso3'=>"REU", 'fips104'=>"RE", 'isono'=>"638.00", 'capital'=>"Saint-Denis", 'region'=>"World", 'currency'=>"Euro", 'currency_code'=>"EUR", 'languages'=>"French+Creole"),
    
    "SHN" => array('name'=>"Saint Helena", 'iso2'=>"SH", 'iso3'=>"SHN", 'fips104'=>"SH", 'isono'=>"654.00", 'capital'=>"Jamestown", 'region'=>"Africa", 'currency'=>"Saint Helenian Pound", 'currency_code'=>"SHP", 'languages'=>""),
    
    "KNA" => array('name'=>"Saint Kitts and Nevis", 'iso2'=>"KN", 'iso3'=>"KNA", 'fips104'=>"SC", 'isono'=>"659.00", 'capital'=>"Basseterre", 'region'=>"Central America and the Caribbean", 'currency'=>"East Caribbean Dollar", 'currency_code'=>"XCD", 'languages'=>"English+Creole_English"),
    
    "LCA" => array('name'=>"Saint Lucia", 'iso2'=>"LC", 'iso3'=>"LCA", 'fips104'=>"ST", 'isono'=>"662.00", 'capital'=>"Castries", 'region'=>"Central America and the Caribbean", 'currency'=>"East Caribbean Dollar", 'currency_code'=>"XCD", 'languages'=>"English+French"),
    
    "VCT" => array('name'=>"Saint Vincent and the Grenadines", 'iso2'=>"VC", 'iso3'=>"VCT", 'fips104'=>"VC", 'isono'=>"670.00", 'capital'=>"Kingstown", 'region'=>"Central America and the Caribbean", 'currency'=>"East Caribbean Dollar", 'currency_code'=>"XCD", 'languages'=>"English+Creole_English+French"),
    
    "WSM" => array('name'=>"Samoa", 'iso2'=>"WS", 'iso3'=>"WSM", 'fips104'=>"WS", 'isono'=>"882.00", 'capital'=>"Apia", 'region'=>"Oceania", 'currency'=>"Tala", 'currency_code'=>"WST", 'languages'=>"Samoan+English"),
    
    "SMR" => array('name'=>"San Marino", 'iso2'=>"SM", 'iso3'=>"SMR", 'fips104'=>"SM", 'isono'=>"674.00", 'capital'=>"San Marino", 'region'=>"Europe", 'currency'=>"Euro", 'currency_code'=>"EUR", 'languages'=>"Italian"),
    
    "SAU" => array('name'=>"Saudi Arabia", 'iso2'=>"SA", 'iso3'=>"SAU", 'fips104'=>"SA", 'isono'=>"682.00", 'capital'=>"Riyadh", 'region'=>"Middle East", 'currency'=>"Saudi Riyal", 'currency_code'=>"SAR", 'languages'=>"Arabic"),
    
    "SEN" => array('name'=>"Senegal", 'iso2'=>"SN", 'iso3'=>"SEN", 'fips104'=>"SG", 'isono'=>"686.00", 'capital'=>"Dakar", 'region'=>"Africa", 'currency'=>"CFA Franc BCEAO", 'currency_code'=>"XOF", 'languages'=>"French+Wolof+Pulaar+Jola+Mandinka"),
    
    "SYC" => array('name'=>"Seychelles", 'iso2'=>"SC", 'iso3'=>"SYC", 'fips104'=>"SE", 'isono'=>"690.00", 'capital'=>"Victoria", 'region'=>"Africa", 'currency'=>"Seychelles Rupee", 'currency_code'=>"SCR", 'languages'=>"French+Creole+English"),
    
    "SLE" => array('name'=>"Sierra Leone", 'iso2'=>"SL", 'iso3'=>"SLE", 'fips104'=>"SL", 'isono'=>"694.00", 'capital'=>"Freetown", 'region'=>"Africa", 'currency'=>"Leone", 'currency_code'=>"SLL", 'languages'=>"English+Mande+Krio"),
    
    "SGP" => array('name'=>"Singapore", 'iso2'=>"SG", 'iso3'=>"SGP", 'fips104'=>"SN", 'isono'=>"702.00", 'capital'=>"Singapore", 'region'=>"Southeast Asia", 'currency'=>"Singapore Dollar", 'currency_code'=>"SGD", 'languages'=>"Chinese+Malay+English"),
    
    "SVK" => array('name'=>"Slovakia", 'iso2'=>"SK", 'iso3'=>"SVK", 'fips104'=>"LO", 'isono'=>"703.00", 'capital'=>"Bratislava", 'region'=>"Europe", 'currency'=>"Slovak Koruna", 'currency_code'=>"SKK", 'languages'=>"Slovak"),
    
    "SVN" => array('name'=>"Slovenia", 'iso2'=>"SI", 'iso3'=>"SVN", 'fips104'=>"SI", 'isono'=>"705.00", 'capital'=>"Ljubljana", 'region'=>"Europe", 'currency'=>"Tolar", 'currency_code'=>"SIT", 'languages'=>"Slovenian"),
    
    "SLB" => array('name'=>"Solomon Islands", 'iso2'=>"SB", 'iso3'=>"SLB", 'fips104'=>"BP", 'isono'=>"90.00", 'capital'=>"Honiara", 'region'=>"Oceania", 'currency'=>"Solomon Islands Dollar", 'currency_code'=>"SBD", 'languages'=>""),
    
    "SOM" => array('name'=>"Somalia", 'iso2'=>"SO", 'iso3'=>"SOM", 'fips104'=>"SO", 'isono'=>"706.00", 'capital'=>"Mogadishu", 'region'=>"Africa", 'currency'=>"Somali Shilling", 'currency_code'=>"SOS", 'languages'=>"Somali+English"),
    
    "ZAF" => array('name'=>"South Africa", 'iso2'=>"ZA", 'iso3'=>"ZAF", 'fips104'=>"SF", 'isono'=>"710.00", 'capital'=>"Pretoria", 'region'=>"Africa", 'currency'=>"Rand", 'currency_code'=>"ZAR", 'languages'=>"English+Afrikaans+Zulu+Xhosa"),
    
    "ESP" => array('name'=>"Spain", 'iso2'=>"ES", 'iso3'=>"ESP", 'fips104'=>"SP", 'isono'=>"724.00", 'capital'=>"Madrid", 'region'=>"Europe", 'currency'=>"Euro", 'currency_code'=>"EUR", 'languages'=>"Spanish"),
    
    "LKA" => array('name'=>"Sri Lanka", 'iso2'=>"LK", 'iso3'=>"LKA", 'fips104'=>"CE", 'isono'=>"144.00", 'capital'=>"Colombo", 'region'=>"Asia", 'currency'=>"Sri Lanka Rupee", 'currency_code'=>"LKR", 'languages'=>"Sinhala+Tamil+English"),
    
    "SDN" => array('name'=>"Sudan", 'iso2'=>"SD", 'iso3'=>"SDN", 'fips104'=>"SU", 'isono'=>"736.00", 'capital'=>"Khartoum", 'region'=>"Africa", 'currency'=>"Sudanese Dinar", 'currency_code'=>"SDD", 'languages'=>"Arabic+African"),
    
    "SUR" => array('name'=>"Suriname", 'iso2'=>"SR", 'iso3'=>"SUR", 'fips104'=>"NS", 'isono'=>"740.00", 'capital'=>"Paramaribo", 'region'=>"South America", 'currency'=>"Suriname Guilder", 'currency_code'=>"SRG", 'languages'=>"Dutch+Sranan_Tongo"),
    
    "SWZ" => array('name'=>"Swaziland", 'iso2'=>"SZ", 'iso3'=>"SWZ", 'fips104'=>"WZ", 'isono'=>"748.00", 'capital'=>"Mbabane", 'region'=>"Africa", 'currency'=>"Lilangeni", 'currency_code'=>"SZL", 'languages'=>"Siswati+English"),
    
    "SWE" => array('name'=>"Sweden", 'iso2'=>"SE", 'iso3'=>"SWE", 'fips104'=>"SW", 'isono'=>"752.00", 'capital'=>"Stockholm", 'region'=>"Europe", 'currency'=>"Swedish Krona", 'currency_code'=>"SEK", 'languages'=>"Swedish"),
    
    "CHE" => array('name'=>"Switzerland", 'iso2'=>"CH", 'iso3'=>"CHE", 'fips104'=>"SZ", 'isono'=>"756.00", 'capital'=>"Bern", 'region'=>"Europe", 'currency'=>"Swiss Franc", 'currency_code'=>"CHF", 'languages'=>"German+French+Italian"),
    
    "SYR" => array('name'=>"Syria", 'iso2'=>"SY", 'iso3'=>"SYR", 'fips104'=>"SY", 'isono'=>"760.00", 'capital'=>"Damascus", 'region'=>"Middle East", 'currency'=>"Syrian Pound", 'currency_code'=>"SYP", 'languages'=>"Arabic"),
    
    "STP" => array('name'=>"So Tom and Prncipe", 'iso2'=>"ST", 'iso3'=>"STP", 'fips104'=>"TP", 'isono'=>"678.00", 'capital'=>"Sao Tome", 'region'=>"Africa", 'currency'=>"Dobra", 'currency_code'=>"STD", 'languages'=>""),
    
    "TWN" => array('name'=>"Taiwan", 'iso2'=>"TW", 'iso3'=>"TWN", 'fips104'=>"TW", 'isono'=>"158.00", 'capital'=>"Taipei", 'region'=>"Southeast Asia", 'currency'=>"New Taiwan Dollar", 'currency_code'=>"TWD", 'languages'=>"Chinese_Simplfied+Chinese_Traditional"),
    
    "TJK" => array('name'=>"Tajikistan", 'iso2'=>"TJ", 'iso3'=>"TJK", 'fips104'=>"TI", 'isono'=>"762.00", 'capital'=>"Dushanbe", 'region'=>"Commonwealth of Independent States", 'currency'=>"Somoni", 'currency_code'=>"TJS", 'languages'=>"Tadzhik+Russian"),
    
    "TZA" => array('name'=>"Tanzania", 'iso2'=>"TZ", 'iso3'=>"TZA", 'fips104'=>"TZ", 'isono'=>"834.00", 'capital'=>"Dar es Salaam", 'region'=>"Africa", 'currency'=>"Tanzanian Shilling", 'currency_code'=>"TZS", 'languages'=>"Kiswahili+Swahili+English+Arabic"),
    
    "THA" => array('name'=>"Thailand", 'iso2'=>"TH", 'iso3'=>"THA", 'fips104'=>"TH", 'isono'=>"764.00", 'capital'=>"Bangkok", 'region'=>"Southeast Asia", 'currency'=>"Baht", 'currency_code'=>"THB", 'languages'=>"Thai"),
    
    "BHS" => array('name'=>"The Bahamas", 'iso2'=>"BS", 'iso3'=>"BHS", 'fips104'=>"BF", 'isono'=>"44.00", 'capital'=>"Nassau", 'region'=>"Central America and the Caribbean", 'currency'=>"Bahamian Dollar", 'currency_code'=>"BSD", 'languages'=>"English+Creole"),
    
    "GMB" => array('name'=>"The Gambia", 'iso2'=>"GM", 'iso3'=>"GMB", 'fips104'=>"GA", 'isono'=>"270.00", 'capital'=>"Banjul", 'region'=>"Africa", 'currency'=>"Dalasi", 'currency_code'=>"GMD", 'languages'=>"English+Manding"),
    
    "TGO" => array('name'=>"Togo", 'iso2'=>"TG", 'iso3'=>"TGO", 'fips104'=>"TO", 'isono'=>"768.00", 'capital'=>"Lome", 'region'=>"Africa", 'currency'=>"CFA Franc BCEAO", 'currency_code'=>"XOF", 'languages'=>"French+Ewe+Mina+Kabye+Dagomba"),
    
    "TKL" => array('name'=>"Tokelau", 'iso2'=>"TK", 'iso3'=>"TKL", 'fips104'=>"TL", 'isono'=>"772.00", 'capital'=>"UNKOWN", 'region'=>"Oceania", 'currency'=>"New Zealand Dollar", 'currency_code'=>"NZD", 'languages'=>"Tokelan+English"),
    
    "TON" => array('name'=>"Tonga", 'iso2'=>"TO", 'iso3'=>"TON", 'fips104'=>"TN", 'isono'=>"776.00", 'capital'=>"Nuku'alofa", 'region'=>"Oceania", 'currency'=>"Pa'anga", 'currency_code'=>"TOP", 'languages'=>"Tonga+English"),
    
    "TTO" => array('name'=>"Trinidad and Tobago", 'iso2'=>"TT", 'iso3'=>"TTO", 'fips104'=>"TD", 'isono'=>"780.00", 'capital'=>"Port-of-Spain", 'region'=>"Central America and the Caribbean", 'currency'=>"Trinidad and Tobago Dollar", 'currency_code'=>"TTD", 'languages'=>"English"),
    
    "TUN" => array('name'=>"Tunisia", 'iso2'=>"TN", 'iso3'=>"TUN", 'fips104'=>"TS", 'isono'=>"788.00", 'capital'=>"Tunis", 'region'=>"Africa", 'currency'=>"Tunisian Dinar", 'currency_code'=>"TND", 'languages'=>"Arabic+Berber"),
    
    "TUR" => array('name'=>"Turkey", 'iso2'=>"TR", 'iso3'=>"TUR", 'fips104'=>"TU", 'isono'=>"792.00", 'capital'=>"Ankara", 'region'=>"Middle East", 'currency'=>"Turkish Lira", 'currency_code'=>"TRL", 'languages'=>"Turkish+Kurdish"),
    
    "TKM" => array('name'=>"Turkmenistan", 'iso2'=>"TM", 'iso3'=>"TKM", 'fips104'=>"TX", 'isono'=>"795.00", 'capital'=>"Ashgabat", 'region'=>"Commonwealth of Independent States", 'currency'=>"Manat", 'currency_code'=>"TMM", 'languages'=>"Turkmenian"),
    
    "TCA" => array('name'=>"Turks and Caicos Islands", 'iso2'=>"TC", 'iso3'=>"TCA", 'fips104'=>"TK", 'isono'=>"796.00", 'capital'=>"Cockburn Town", 'region'=>"Central America and the Caribbean", 'currency'=>"US Dollar", 'currency_code'=>"USD", 'languages'=>"English"),
    
    "TUV" => array('name'=>"Tuvalu", 'iso2'=>"TV", 'iso3'=>"TUV", 'fips104'=>"TV", 'isono'=>"798.00", 'capital'=>"Funafuti", 'region'=>"Oceania", 'currency'=>"Australian Dollar", 'currency_code'=>"AUD", 'languages'=>"Tuvalu+English"),
    
    "UGA" => array('name'=>"Uganda", 'iso2'=>"UG", 'iso3'=>"UGA", 'fips104'=>"UG", 'isono'=>"800.00", 'capital'=>"Kampala", 'region'=>"Africa", 'currency'=>"Uganda Shilling", 'currency_code'=>"UGX", 'languages'=>"Kiswahili+English+Buganda+Banyoro"),
    
    "UKR" => array('name'=>"Ukraine", 'iso2'=>"UA", 'iso3'=>"UKR", 'fips104'=>"UP", 'isono'=>"804.00", 'capital'=>"Kiev", 'region'=>"Commonwealth of Independent States", 'currency'=>"Hryvnia", 'currency_code'=>"UAH", 'languages'=>"Ukrainian+Russian"),
    
    "ARE" => array('name'=>"United Arab Emirates", 'iso2'=>"AE", 'iso3'=>"ARE", 'fips104'=>"AE", 'isono'=>"784.00", 'capital'=>"Abu Dhabi", 'region'=>"Middle East", 'currency'=>"UAE Dirham", 'currency_code'=>"AED", 'languages'=>"Arabic"),
    
    "GBR" => array('name'=>"United Kingdom", 'iso2'=>"GB", 'iso3'=>"GBR", 'fips104'=>"UK", 'isono'=>"826.00", 'capital'=>"London", 'region'=>"Europe", 'currency'=>"Pound Sterling", 'currency_code'=>"GBP", 'languages'=>"English"),
    
    "USA" => array('name'=>"United States", 'iso2'=>"US", 'iso3'=>"USA", 'fips104'=>"US", 'isono'=>"840.00", 'capital'=>"Washington, DC", 'region'=>"North America", 'currency'=>"US Dollar", 'currency_code'=>"USD", 'languages'=>"English"),
    
    "URY" => array('name'=>"Uruguay", 'iso2'=>"UY", 'iso3'=>"URY", 'fips104'=>"UY", 'isono'=>"858.00", 'capital'=>"Montevideo", 'region'=>"South America", 'currency'=>"Peso Uruguayo", 'currency_code'=>"UYU", 'languages'=>"Spanish"),
    
    "UZB" => array('name'=>"Uzbekistan", 'iso2'=>"UZ", 'iso3'=>"UZB", 'fips104'=>"UZ", 'isono'=>"860.00", 'capital'=>"Tashkent", 'region'=>"Commonwealth of Independent States", 'currency'=>"Uzbekistan Sum", 'currency_code'=>"UZS", 'languages'=>"Uzbek+Russian"),
    
    "VUT" => array('name'=>"Vanuatu", 'iso2'=>"VU", 'iso3'=>"VUT", 'fips104'=>"NH", 'isono'=>"548.00", 'capital'=>"Port-Vila", 'region'=>"Oceania", 'currency'=>"Vatu", 'currency_code'=>"VUV", 'languages'=>"Bislama+English+French"),
    
    "VEN" => array('name'=>"Venezuela", 'iso2'=>"VE", 'iso3'=>"VEN", 'fips104'=>"VE", 'isono'=>"862.00", 'capital'=>"Caracas", 'region'=>"South America, Central America and the Caribbean", 'currency'=>"Bolivar", 'currency_code'=>"VEB", 'languages'=>"Spanish"),
    
    "VNM" => array('name'=>"Vietnam", 'iso2'=>"VN", 'iso3'=>"VNM", 'fips104'=>"VM", 'isono'=>"704.00", 'capital'=>"Hanoi", 'region'=>"Southeast Asia", 'currency'=>"Dong", 'currency_code'=>"VND", 'languages'=>"Vietnamese"),
    
    "VIR" => array('name'=>"Virgin Islands", 'iso2'=>"VI", 'iso3'=>"VIR", 'fips104'=>"VQ", 'isono'=>"850.00", 'capital'=>"Charlotte Amalie", 'region'=>"Central America and the Caribbean", 'currency'=>"US Dollar", 'currency_code'=>"USD", 'languages'=>"English"),
    
    "WLF" => array('name'=>"Wallis and Futuna", 'iso2'=>"WF", 'iso3'=>"WLF", 'fips104'=>"WF", 'isono'=>"876.00", 'capital'=>"Mata-Utu", 'region'=>"Oceania", 'currency'=>"CFP Franc", 'currency_code'=>"XPF", 'languages'=>""),
    
    "ESH" => array('name'=>"Western Sahara", 'iso2'=>"EH", 'iso3'=>"ESH", 'fips104'=>"WI", 'isono'=>"732.00", 'capital'=>"UNKOWN", 'region'=>"Africa", 'currency'=>"Moroccan Dirham", 'currency_code'=>"MAD", 'languages'=>""),
    
    "YEM" => array('name'=>"Yemen", 'iso2'=>"YE", 'iso3'=>"YEM", 'fips104'=>"YM", 'isono'=>"887.00", 'capital'=>"Sanaa", 'region'=>"Middle East", 'currency'=>"Yemeni Rial", 'currency_code'=>"YER", 'languages'=>"Arabic"),
    
    "YUG" => array('name'=>"Yugoslavia", 'iso2'=>"YU", 'iso3'=>"YUG", 'fips104'=>"--", 'isono'=>"891.00", 'capital'=>"Belgrade", 'region'=>"Europe", 'currency'=>"Yugoslavian Dinar", 'currency_code'=>"YUM", 'languages'=>"Yugoslavian"),
    
    "ZWB" => array('name'=>"Zambia", 'iso2'=>"ZM", 'iso3'=>"ZWB", 'fips104'=>"ZA", 'isono'=>"894.00", 'capital'=>"Lusaka", 'region'=>"Africa", 'currency'=>"Kwacha", 'currency_code'=>"ZMK", 'languages'=>"English+Bantu"),
    
    "ZWE" => array('name'=>"Zimbabwe", 'iso2'=>"ZW", 'iso3'=>"ZWE", 'fips104'=>"ZI", 'isono'=>"716.00", 'capital'=>"Harare", 'region'=>"Africa", 'currency'=>"Zimbabwe Dollar", 'currency_code'=>"ZWD", 'languages'=>"English+Fanagolo+Bantu")
  );
?>