<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Wooya
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."wooya_web_stats_panel/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."wooya_web_stats_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."wooya_web_stats_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."wooya_web_stats_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['ws_title'];
$inf_description = $locale['ws_desc'];
$inf_version = "1.0";
$inf_developer = "Wooya";
$inf_email = "";
$inf_weburl = "http://";

$inf_folder = "wooya_web_stats_panel"; // The folder in which the infusion resides.

// Delete any items not required below.

$inf_newtable[1] = DB_WWSP_CONFIG." (
stats_enabled SMALLINT(1) UNSIGNED NOT NULL DEFAULT '1',
show_last_value SMALLINT(5) UNSIGNED NOT NULL DEFAULT '100',

month_chart_years SMALLINT(1) UNSIGNED NOT NULL DEFAULT '0',
month_chart_style SMALLINT(1) UNSIGNED NOT NULL DEFAULT '2',
month_chart_skin SMALLINT(1) UNSIGNED NOT NULL DEFAULT '1',

os_chart_value SMALLINT(3) UNSIGNED NOT NULL DEFAULT '5',
os_chart_style SMALLINT(1) UNSIGNED NOT NULL DEFAULT '5',
os_chart_skin SMALLINT(1) UNSIGNED NOT NULL DEFAULT '1',

browser_chart_value SMALLINT(3) UNSIGNED NOT NULL DEFAULT '5',
browser_chart_style SMALLINT(1) UNSIGNED NOT NULL DEFAULT '5',
browser_chart_skin SMALLINT(1) UNSIGNED NOT NULL DEFAULT '1',

bot_chart_value SMALLINT(3) UNSIGNED NOT NULL DEFAULT '5',
bot_chart_style SMALLINT(1) UNSIGNED NOT NULL DEFAULT '5',
bot_chart_skin SMALLINT(1) UNSIGNED NOT NULL DEFAULT '1',

country_chart_value SMALLINT(3) UNSIGNED NOT NULL DEFAULT '5',
country_chart_style SMALLINT(1) UNSIGNED NOT NULL DEFAULT '5',
country_chart_skin SMALLINT(1) UNSIGNED NOT NULL DEFAULT '1',

language_chart_value SMALLINT(3) UNSIGNED NOT NULL DEFAULT '5',
language_chart_style SMALLINT(1) UNSIGNED NOT NULL DEFAULT '5',
language_chart_skin SMALLINT(1) UNSIGNED NOT NULL DEFAULT '1',

referer_chart_value SMALLINT(3) UNSIGNED NOT NULL DEFAULT '5',
referer_chart_style SMALLINT(1) UNSIGNED NOT NULL DEFAULT '5',
referer_chart_skin SMALLINT(1) UNSIGNED NOT NULL DEFAULT '1',

page_chart_value SMALLINT(3) UNSIGNED NOT NULL DEFAULT '5',
page_chart_style SMALLINT(1) UNSIGNED NOT NULL DEFAULT '5',
page_chart_skin SMALLINT(1) UNSIGNED NOT NULL DEFAULT '1',

user_chart_value SMALLINT(3) UNSIGNED NOT NULL DEFAULT '5',
user_chart_style SMALLINT(1) UNSIGNED NOT NULL DEFAULT '5',
user_chart_skin SMALLINT(1) UNSIGNED NOT NULL DEFAULT '1',

google_map_use SMALLINT(1) UNSIGNED NOT NULL DEFAULT '0',
google_map_key VARCHAR(255) NOT NULL DEFAULT 'xxx',
google_map_width SMALLINT(2) UNSIGNED NOT NULL DEFAULT '400',
google_map_height SMALLINT(2) UNSIGNED NOT NULL DEFAULT '300',
google_map_zoom SMALLINT(2) UNSIGNED NOT NULL DEFAULT '9',
google_map_netgeo VARCHAR(255) NOT NULL DEFAULT 'http://api.hostip.info/get_html.php?position=true&ip=') TYPE=MyISAM;";

$inf_newtable[2] = DB_WWSP_STATS." (
id DOUBLE NOT NULL AUTO_INCREMENT,
user_id INT(5) NOT NULL,
hits INT(20) NOT NULL DEFAULT '1',
time INT(5) NOT NULL DEFAULT '".time()."',
page VARCHAR(250) NOT NULL DEFAULT 'Unknown',
browser VARCHAR(250) NOT NULL DEFAULT 'Unknown',
type VARCHAR(50) NOT NULL DEFAULT 'Unknown',
os VARCHAR(250) NOT NULL DEFAULT 'Unknown',
ip VARCHAR(15) NOT NULL DEFAULT '',
provider VARCHAR(250) NOT NULL DEFAULT 'Unknown',
land VARCHAR(2) NOT NULL DEFAULT '--',
day VARCHAR(2) NOT NULL DEFAULT '',
month CHAR(2) NOT NULL DEFAULT '',
year CHAR(2) NOT NULL DEFAULT '',
referer VARCHAR(255) NOT NULL DEFAULT 'Unknown',
site_language VARCHAR(55) NOT NULL DEFAULT '".$settings['locale']."',
PRIMARY KEY (id)
) TYPE=MyISAM;";

$inf_droptable[1] = DB_WWSP_CONFIG;
$inf_droptable[2] = DB_WWSP_STATS;




$inf_adminpanel[1] = array(
	"title" => $locale['ws_admin1'],
	"image" => "web_stats.gif",
	"panel" => "wooya_web_stats_admin.php",
	"rights" => "WWSP"
);

/*$inf_sitelink[1] = array(
	"title" => $locale['ws_link1'],
	"url" => "filename.php",
	"visibility" => "0"
);*/
?>
