<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: wooya_web_stat_admin.php
| Author: Wooya
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
//WebStats by Wooya - charts based on class.graphic.php by Carlos Reche
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."wooya_web_stats_panel/infusion_db.php";

if (!checkrights("WWSP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."wooya_web_stats_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."wooya_web_stats_panel/locale/".$settings['locale'].".php";
	if ($settings['locale'] == "Polish-utf8") {
		include INFUSIONS."wooya_web_stats_panel/locale/Polish-utf8_graphic.php";
	}
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."wooya_web_stats_panel/locale/English.php";
}

$utf8 = $settings['locale'] == "Polish-utf8";

if (!isset($_GET['page'])) { $_GET['page'] = 1; }
if (!isset($_GET['page'])) $_GET['page'] = 1;
if (!isNum($_GET['page'])) $_GET['page'] = 1;
if ($_GET['page'] > 2 || $_GET['page'] < 1) $_GET['page'] = 1;

if (isset($_GET['info']) && !isNum($_GET['info'])) redirect(FUSION_SELF.$aidlink);
if (isset($_GET['show']) && !preg_match('#^[0-9]{2}\/[0-9]{2}$#is', $_GET['show'])) redirect(FUSION_SELF.$aidlink);

if (dbrows("(*)", "stats_config")==0) {
$result = dbquery("INSERT INTO ".DB_WWSP_CONFIG." (stats_enabled, show_last_value, month_chart_years, month_chart_style, month_chart_skin, os_chart_value, os_chart_style, os_chart_skin, browser_chart_value, browser_chart_style, browser_chart_skin, bot_chart_value, bot_chart_style, bot_chart_skin, country_chart_value, country_chart_style, country_chart_skin, language_chart_value, language_chart_style, language_chart_skin, referer_chart_value, referer_chart_style, referer_chart_skin, page_chart_value, page_chart_style, page_chart_skin, user_chart_value, user_chart_style, user_chart_skin, google_map_use, 
google_map_key, google_map_width, google_map_height, google_map_zoom, google_map_netgeo) VALUES (
'1', '100', '0', '2', '1', '5', '5', '1', '5', '5', '1', '5', '5', '1', '5', '5', '1', '5', '5', '1', '5', '5', '1', '5', '5', '1', '5', '5', '1', '0', 'xxx', '400', '300', '9', 'http://api.hostip.info/get_html.php?position=true&ip=');");
}

//config
if (isset($_POST['save'])) {

//chart type: 1 - vertical bars, 2 - horizontal bars, 3 - dots, 4 -lines, 5 - pie, 6 - donut
//chart skin: 1 - office, 2 - matrix, 3 - spring
	$stats_enabled = isNum($_POST['stats_enabled'])?$_POST['stats_enabled']:"0";

	$show_last_value = isNum($_POST['show_last_value'])?$_POST['show_last_value']:"100";
	
	$month_chart_years = isNum($_POST['month_chart_years'])?$_POST['month_chart_years']:"0";
	$month_chart_style = isNum($_POST['month_chart_style'])?$_POST['month_chart_style']:"2";
	$month_chart_skin	= isNum($_POST['month_chart_skin'])?$_POST['month_chart_skin']:"1";
	
	$os_chart_value = isNum($_POST['os_chart_value'])?$_POST['os_chart_value']:"5";
	$os_chart_style = isNum($_POST['os_chart_style'])?$_POST['os_chart_style']:"5";
	$os_chart_skin = isNum($_POST['os_chart_skin'])?$_POST['os_chart_skin']:"1";
	
	$browser_chart_value = isNum($_POST['browser_chart_value'])?$_POST['browser_chart_value']:"5";
	$browser_chart_style = isNum($_POST['browser_chart_style'])?$_POST['browser_chart_style']:"5";
	$browser_chart_skin = isNum($_POST['browser_chart_skin'])?$_POST['browser_chart_skin']:"1";

	$bot_chart_value = isNum($_POST['bot_chart_value'])?$_POST['bot_chart_value']:"5";
	$bot_chart_style = isNum($_POST['bot_chart_style'])?$_POST['bot_chart_style']:"5";
	$bot_chart_skin = isNum($_POST['bot_chart_skin'])?$_POST['bot_chart_skin']:"1";
	
	$country_chart_value = isNum($_POST['country_chart_value'])?$_POST['country_chart_value']:"5";
	$country_chart_style = isNum($_POST['country_chart_style'])?$_POST['country_chart_style']:"5";
	$country_chart_skin = isNum($_POST['country_chart_skin'])?$_POST['country_chart_skin']:"1";

	$language_chart_value = isNum($_POST['language_chart_value'])?$_POST['language_chart_value']:"5";
	$language_chart_style = isNum($_POST['language_chart_style'])?$_POST['language_chart_style']:"5";
	$language_chart_skin = isNum($_POST['language_chart_skin'])?$_POST['language_chart_skin']:"1";

	$referer_chart_value = isNum($_POST['referer_chart_value'])?$_POST['referer_chart_value']:"5";
	$referer_chart_style = isNum($_POST['referer_chart_style'])?$_POST['referer_chart_style']:"5";
	$referer_chart_skin = isNum($_POST['referer_chart_skin'])?$_POST['referer_chart_skin']:"1";

	$page_chart_value = isNum($_POST['page_chart_value'])?$_POST['page_chart_value']:"5";
	$page_chart_style = isNum($_POST['page_chart_style'])?$_POST['page_chart_style']:"5";
	$page_chart_skin = isNum($_POST['page_chart_skin'])?$_POST['page_chart_skin']:"1";

	$user_chart_value = isNum($_POST['user_chart_value'])?$_POST['user_chart_value']:"5";
	$user_chart_style = isNum($_POST['user_chart_style'])?$_POST['user_chart_style']:"5";
	$user_chart_skin = isNum($_POST['user_chart_skin'])?$_POST['user_chart_skin']:"1";
	
	$google_map_use = isNum($_POST['google_map_use'])?$_POST['google_map_use']:"0";
	$google_map_key = stripinput($_POST['google_map_key']);
	$google_map_width = stripinput($_POST['google_map_width']);
	$google_map_height = stripinput($_POST['google_map_height']);
	$google_map_zoom = isNum($_POST['google_map_zoom'])?$_POST['google_map_zoom']:"9";
	$google_map_netgeo = stripinput($_POST['google_map_netgeo']);
	
	$result = dbquery("
	UPDATE ".DB_WWSP_CONFIG." 
	SET
	stats_enabled='$stats_enabled', 
	show_last_value='$show_last_value',
	month_chart_years='$month_chart_years',
	month_chart_style='$month_chart_style',
	month_chart_skin='$month_chart_skin',
	os_chart_value='$os_chart_value',
	os_chart_style='$os_chart_style',
	os_chart_skin='$os_chart_skin',
	browser_chart_value='$browser_chart_value',
	browser_chart_style='$browser_chart_style',
	browser_chart_skin='$browser_chart_skin',
	bot_chart_value='$bot_chart_value',
	bot_chart_style='$bot_chart_style',
	bot_chart_skin='$bot_chart_skin',
	country_chart_value='$country_chart_value',
	country_chart_style='$country_chart_style',
	country_chart_skin='$country_chart_skin',
	language_chart_value='$language_chart_value',
	language_chart_style='$language_chart_style',
	language_chart_skin='$language_chart_skin',
	referer_chart_value='$referer_chart_value',
	referer_chart_style='$referer_chart_style',
	referer_chart_skin='$referer_chart_skin',
	page_chart_value='$page_chart_value',
	page_chart_style='$page_chart_style',
	page_chart_skin='$page_chart_skin',
	user_chart_value='$user_chart_value',
	user_chart_style='$user_chart_style',
	user_chart_skin='$user_chart_skin',
	google_map_use='$google_map_use',
	google_map_key='$google_map_key',
	google_map_width='$google_map_width',
	google_map_height='$google_map_height',
	google_map_zoom='$google_map_zoom',
	google_map_netgeo='$google_map_netgeo'
	"
	);
	redirect (FUSION_SELF.$aidlink."&page=2");
} else {
	$stats_config = array();
	$stats_config = dbarray(dbquery("SELECT * FROM ".DB_WWSP_CONFIG));
}
//

$navigator = "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'><tr><td width='50%' class='".($_GET['page']==1?"tbl2":"tbl1")."' align='center'>".($_GET['page']==1?"<strong>":"")."<a href='".FUSION_SELF.$aidlink."&amp;page=1'>".$locale['ws400']."</a>".($_GET['page']==1?"</strong>":"")."</td><td width='50%' class='".($_GET['page']==2?"tbl2":"tbl1")."' align='center'>".($_GET['page']==2?"<strong>":"")."<a href='".FUSION_SELF.$aidlink."&amp;page=2'>".$locale['ws401']."</a>".($_GET['page']==2?"</strong>":"")."</td></tr></table><br><br>";

if (dbcount("(*)", DB_WWSP_PANEL, "panel_filename='wooya_web_stats_panel' AND panel_status='1'")==0) {
   $navigator .= "<center><div class='quote' style='text-align:center;font-weight:bold;color:red'>".$locale['WEB_STATS_PANEL_OFF']."</div></center><br  />";
}

if ($stats_config['stats_enabled']!=1 && $_GET['page']!=2) {
	opentable($locale['ws400']);
	echo $navigator;
	echo "<center>";
	echo $locale['ws402'];
	echo "</center>";
	closetable();
} else {
	if (isset($_GET['info'])) {
	   opentable($locale['ws403']);
	      echo $navigator;
	      include_once INFUSIONS."wooya_web_stats_panel/includes/translate_include.php";
	      echo "<fieldset style='width:95%;text-align:center'>";
	      echo "<legend align='center'>".$locale['ws403']."</legend>";
	      echo "<table class='tbl-border' width='100%' cellspacing='1' cellpadding='0'>";
	      echo "<tr>";
	      echo "<td colspan='2' class='tbl1'>";
	      $result = dbquery("SELECT ts.*, tu.user_name FROM ".DB_WWSP_STATS." AS ts LEFT JOIN ".DB_WWSP_USERS." AS tu ON ts.user_id = tu.user_id WHERE ts.id='".$_GET['info']."'");
	      $data = dbarray($result);
	      if ($stats_config['google_map_use']=='1') {
	         if ($stats_config['google_map_key']!="xxx") {
	            if (!ereg("MSIE", $_SERVER['HTTP_USER_AGENT'])){
	               require_once INFUSIONS."wooya_web_stats_panel/includes/google_map_inc.php";
	               echo get_google_map($stats_config['google_map_key'], $stats_config['google_map_netgeo'], UrlEncode($data['ip']),"","",$stats_config['google_map_width'],$stats_config['google_map_height'],$stats_config['google_map_zoom'],"",true,"","auto","","");
	            } else {
	               echo "<center><div class='quote'>".$locale['ws404']." <a href='http://www.mozilla.org' target='_blank'><img src='".ADMIN."images/firefox.gif' border='0' alt='Get Firefox!' title='Get Firefox!'></a></div></center>";
	            }
	         } else {
	            echo "<center><div class='quote'>".$locale['ws405']."</div></center>";
	         }
	      } else {
	         echo "<center><div class='quote'>".$locale['ws406']." <a href='http://www.google.com/apis/maps/signup.html' target='_blank'>http://www.google.com/apis/maps/signup.html</a></div></center>";
	      }
	      echo "</td>";
	      echo "</tr>";
	      echo "<tr>";
	      echo "<td class='tbl2' colspan='2' align='center'><strong>".$locale['ws403']."</strong></td>";
	      echo "</tr>";
	      echo "<tr>";
	      echo "<td class='tbl1'><strong>".$locale['ws407']."</strong></td>";
	      echo "<td class='tbl1'>".date('d-m-Y', $data['time']+($settings['timeoffset']*3600)).' / '.date('H:i:s', $data['time']+($settings['timeoffset']*3600))."</td>";
	      echo "</tr>";
	      echo "<tr>";
	      echo "<td class='tbl2'><strong>".$locale['ws408']."</strong></td>";
	      echo "<td class='tbl2'>".(!eregi("admin", $data['page'])?"<a href='".BASEDIR.htmlentities($data['page'])."'>".htmlentities($data['page'])."</a>":"Admin Area")."</td>";
	      echo "</tr>";
	      echo "<tr>";
	      echo "<td class='tbl1'><strong>".$locale['ws409']."</strong></td>";
	      echo "<td class='tbl1'>".ucfirst(str_replace("<br>", " ", $data['provider']))."</td>";
	      echo "</tr>";
	      echo "<tr>";
	      echo "<td class='tbl2'><strong>".$locale['ws410']."</strong></td>";
	      echo "<td class='tbl2'><img src='".INFUSIONS."wooya_web_stats_panel/includes/flags/s/".trim(strtolower($data['land'])).".png' alt=''> ".ucfirst($data['land'])."</td>";
	      echo "</tr>";
	      echo "<tr>";
	      echo "<td class='tbl1'><strong>".$locale['ws411']."</strong></td>";
	      echo "<td class='tbl1'>".ucfirst($data['browser'])."</td>";
	      echo "</tr>";
	      echo "<tr>";
	      echo "<td class='tbl2'><strong>".$locale['ws412']."</strong></td>";
	      echo "<td class='tbl2'>".ucfirst($data['os'])."</td>";
	      echo "</tr>";
	      echo "<tr>";
	      echo "<td class='tbl1'><strong>".$locale['ws413']."</strong></td>";
	      echo "<td class='tbl1'>".$data['hits']."</td>";
	      echo "</tr>";
	      echo "<tr>";
	      echo "<td class='tbl2'><strong>".$locale['ws414']."</strong></td>";
	      echo "<td class='tbl2'>".translate_lang_names($data['site_language'])."</td>";
	      echo "</tr>";
	      echo "<tr>";
	      echo "<td class='tbl1'><strong>".$locale['ws415']."</strong></td>";
	      echo "<td class='tbl1'>".$data['ip']."</td>";
	      echo "</tr>";
	      echo "<tr>";
	      echo "<td class='tbl2'><strong>".$locale['ws468']."</strong></td>";
	      echo "<td class='tbl2'>".$data['referer']."</td>";
	      echo "</tr>";
	      echo "<tr>";
	      echo "<td class='tbl1'><strong>".$locale['ws416']."</strong></td>";
	      echo "<td class='tbl1'>".($data['user_id']!=0?"<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a>":$locale['ws465'])."</td>";
	      echo "</tr>";
	      echo "</table>";
	      echo "</fieldset>";
	   closetable();
	} else if (isset($_GET['show'])) {
	   opentable($locale['ws417'].": ".$_GET['show']."");
	   echo $navigator;
	   require_once INFUSIONS."wooya_web_stats_panel/includes/class.graphic.php";
	   $power_graphic = new PowerGraphic;
	   $exp_d = explode('/', $_GET['show']);
	   $arrda = range(1, date('t', mktime(1,1,1,$exp_d[0],1,$exp_d[1])));
	   foreach($arrda as $key => $value){
	      if(strlen($value) < 2){
	         $arrne[(int)"0".$value] = 0;
	      } else{
	         $arrne[$value] = 0;
	      }
	   }
	   $arrpv = $arrne;
	   $my_gm  = dbquery("SELECT day, COUNT(ip) as cip, SUM(hits) as shits FROM ".DB_WWSP_STATS." WHERE month='".$exp_d[0]."' AND year='".$exp_d[1]."' GROUP BY day");
	   while($as_gm = dbarray($my_gm)){
	      $arrne[$as_gm['day']] = $as_gm['cip'];
	      $arrpv[$as_gm['day']] = $as_gm['shits'];
	   }
	   $tab  = array(0 => '', 1 => '', 2 => '', 3 => '', 4 => '', 5 => '');
	   $nrow = false;
	   foreach($arrne as $key => $value){
	   	if ($key=="16") $nrow = true;
	      if ($nrow) {
	         $tab[3] .= "<td class='tbl2' align='center'><strong>".$key."</strong></td>\n";
	         $tab[4] .= "<td class='tbl1' align='center'>".$value."</td>\n";
	         $tab[5] .= "<td class='tbl1' align='center'>".$arrpv[$key]."</td>\n";
	   	} else {
	         $tab[0] .= "<td class='tbl2' align='center'><strong>".$key."</strong></td>\n";
	         $tab[1] .= "<td class='tbl1' align='center'>".$value."</td>\n";
	         $tab[2] .= "<td class='tbl1' align='center'>".$arrpv[$key]."</td>\n";
	      }
	      $power_graphic->x[] = $key;
	      $power_graphic->y[] = $value;
	      $power_graphic->z[] = $arrpv[$key];
	   }
	   echo "<center>";
	   echo "<fieldset style='width:95%;text-align:center'>";
	   echo "<legend align='center'>".$locale['ws418']."</legend>";
	   echo "<table class='tbl-border' width='99%' cellspacing='1' cellpadding='0'>";
	   echo "<tr>";
	   echo "<td class='tbl2'><strong>".$locale['ws419']."</strong></td>";
	   echo $tab[0];
	   echo "</tr>";
	   echo "<tr>";
	   echo "<td class='tbl2'><strong>".$locale['ws420']."</strong></td>";
	   echo $tab[1];
	   echo "</tr>";
	   echo "<tr>";
	   echo "<td class='tbl2'><strong>".$locale['ws421']."</strong></td>";
	   echo $tab[2];
	   echo "</tr>";
	   echo "<tr>";
	   echo "<td class='tbl2'><strong>".$locale['ws419']."</strong></td>";
	   echo $tab[3];
	   echo "</tr>";
	   echo "<tr>";
	   echo "<td class='tbl2'><strong>".$locale['ws420']."</strong></td>";
	   echo $tab[4];
	   echo "</tr>";
	   echo "<tr>";
	   echo "<td class='tbl2'><strong>".$locale['ws421']."</strong></td>";
	   echo $tab[5];
	   echo "</tr>";
	   echo "</table>";
	   echo "</fieldset>";
	   echo "</center>";
	   echo "<br /><br />";
	   echo "<center>";
	   echo "<fieldset style='width:95%;text-align:center'>";
	   echo "<legend align='center'>".$locale['ws422'].": ".$locale['ws418']."</legend>";
	   $power_graphic->title     = $locale['ws423'];
	   $power_graphic->axis_x    = $locale['ws419'];
	   $power_graphic->axis_y    = ($utf8 ? $locale['ws421_g'] : $locale['ws421']);
	   $power_graphic->graphic_1 = $locale['ws424'];
	   $power_graphic->graphic_2 = $locale['ws425'];
	   $power_graphic->type      = $stats_config['month_chart_style'];
	   $power_graphic->skin      = $stats_config['month_chart_skin'];
	   $power_graphic->credits   = 1;
	   echo "<img src='".INFUSIONS."wooya_web_stats_panel/includes/class.graphic.php?".$power_graphic->create_query_string()."' alt='' style='border:1px solid black'><br>";
	   echo "</fieldset>";
	   echo "</center>";
	   $power_graphic->reset_values();
	   closetable();
	} else {
	   if ($_GET['page'] == 1) {
	      require_once INFUSIONS."wooya_web_stats_panel/includes/class.graphic.php";
	      $power_graphic = new PowerGraphic;

	      opentable($locale['ws400']);
	      echo $navigator;
	      echo "<div style='text-align:center'>";
	      	      
	      $current_year = date("y", time());
	      $current_year_long = date("Y", time());
	      $past_year = substr($current_year,0,1)=="0"?"0".(substr($current_year,1,1)-1):$current_year-1;
	      $past_year_long = $current_year_long-1;
	       
	      //Global Stats
	      $result = dbquery("SELECT time AS start_day FROM ".DB_WWSP_STATS." GROUP BY day ORDER BY time ASC");
	      $global = dbrows($result);
	      $global = $global!=0?$global:1;
	      $stats_begin = dbarray($result);
	      $result = dbquery("SELECT COUNT(ip) as cip, SUM(hits) as shits FROM ".DB_WWSP_STATS." LIMIT 0,1");
	      $stats_hits = dbarray($result);
	      $result = dbquery("SELECT SUM(hits) as shits, time FROM ".DB_WWSP_STATS." GROUP BY day, month, year ORDER BY shits DESC LIMIT 0,1");
	      $stats_visits = dbarray($result);
	      $result = dbquery("SELECT COUNT(ip) as cip, time FROM ".DB_WWSP_STATS." GROUP BY day, month, year ORDER BY cip DESC LIMIT 0,1");
	      $stats_uvisits = dbarray($result);
	      $mid_unique_visits = round($stats_hits['cip']/$global);
	      $mid_unique_hits = round($stats_hits['shits']/$global);
	      echo "<fieldset style='width:95%;text-align:center'>";
	      echo "<legend align='center'>".$locale['ws426']."</legend>";
	      echo "<table>";
	      echo "<tr>";
	      echo "<td width='25%' align='right' colspan='2'><strong>".$locale['ws427']."</strong></td>";
	      echo "<td width='25%' align='left' colspan='2'>".strftime("%d %B %Y / %H:%M:%S", $stats_begin['start_day']+($settings['timeoffset']*3600))."</td>";
	      echo "</tr>";
	      echo "<tr><td colspan='4'>&nbsp;</td></tr>";
	      echo "<tr>";
	      echo "<td width='25%'><strong>".$locale['ws429']."</strong></td>";
	      echo "<td width='25%'>".$stats_hits['cip']."</td>";
	      echo "<td width='25%'><strong>".$locale['ws430']."</strong></td>";
	      echo "<td width='25%'>".$stats_hits['shits']."</td>";
	      echo "</tr>";
	      echo "<tr>";
	      echo "<td width='25%'><strong>".$locale['ws431']."</strong></td>";
	      echo "<td width='25%'>".$stats_uvisits['cip']." ".$locale['ws428']." ".strftime("%d %B %Y", $stats_uvisits['time']+($settings['timeoffset']*3600))."</td>";
	      echo "<td width='25%'><strong>".$locale['ws432']."</strong></td>";
	      echo "<td width='25%'>".$stats_visits['shits']." ".$locale['ws428']." ".strftime("%d %B %Y", $stats_visits['time']+($settings['timeoffset']*3600))."</td>";
	      echo "</tr>";
	      echo "<tr>";
	      echo "<td width='25%'><strong>".$locale['ws433']."</strong></td>";
	      echo "<td width='25%'>".$mid_unique_visits."</td>";
	      echo "<td width='25%'><strong>".$locale['ws434']."</strong></td>";
	      echo "<td width='25%'>".$mid_unique_hits."</td>";
	      echo "</tr>";
	      echo "</table>";
	      echo "</fieldset>";

?>
<style type='text/css'>
/* This file contains the CSS data for all popups in TinyMCE */
/* Tabs classes */

.tabs {
	float: left;
	width: 100%;
	line-height: normal;
	background-image: url("images/tabs_bg.gif");
}

.tabs ul {
	margin: 0;
	padding: 0 0 0;
	list-style: none;
}

.tabs li {
	float: left;
	background: url("images/tab_bg.gif") no-repeat left top;
	margin: 0;
	margin-left: 0;
	margin-right: 2px;
	padding: 0 0 0 10px;
	line-height: 18px;
}

.tabs li.current {
	background: url("images/tab_sel_bg.gif") no-repeat left top;
	margin-right: 2px;
}

.tabs span {
	float: left;
	display: block;
	background: url("images/tab_end.gif") no-repeat right top;
	padding: 0px 10px 0 0;
}

.tabs .current span {
	background: url("images/tab_sel_end.gif") no-repeat right top;
}

.tabs a {
	text-decoration: none;
	font-family: Verdana, Arial;
	font-size: 10px;
}

.tabs a:link, .tabs a:visited, .tabs a:hover {
	color: black;
}

.tabs a:hover {
}

.tabs .current {
}

.tabs .current a, .tabs .current a:link, .tabs .current a:visited {
}

.panel_wrapper div.panel {
	display: none;
}

.panel_wrapper div.current {
	display: block;
	width: 100%;
	overflow: visible; /* Should be auto but that breaks Safari */
}

.panel_wrapper {
	border: 1px solid #919B9C;
	border-top: 0px;
	padding: 10px;
	padding-top: 5px;
	clear: both;
	background-color: white;
}

fieldset {
	border: 1px solid #919B9C;
	font-family: Verdana, Arial;
	font-size: 10px;
	padding: 0;
	margin: 0;
	padding: 4px;
}

legend {
	color: #2B6FB6;
	font-weight: bold;
}

.properties {
	width: 100%;
}

.properties .column1 {
}

.properties .column2 {
	text-align: left;
}

#plugintable thead {
	font-weight: bold;
	background-color: #DDDDDD;
}

#plugintable, #about #plugintable td {
	border: 1px solid #919B9C;
}

#plugintable {
	width: 99%;
	margin-top: 10px;
}

#pluginscontainer {
	height: 290px;
	overflow: auto;
}

/* MSIE Specific styles */

* html .panel_wrapper {
	width: 100%;
}

.column {
	float: left;
}

h1, h2, h3, h4 {
	color: #2B6FB6;
	margin: 0;
	padding: 0;
	padding-top: 5px;
}

h3 {
	font-size: 14px;
}

#link .panel_wrapper, #link div.current {
	height: 125px;
}

#image .panel_wrapper, #image div.current {
}

/* Disables the advanced tab in the table plugin. */
/*
#table #advanced_tab {
	display: none;
}
*/

/* Disables the border input field and label in the table plugin. */
/*
#table #border, #table #borderlabel {
	display: none;
}
*/
</style>
 
<script type="text/javascript">
/**
 * $RCSfile: mctabs.js,v $
 * $Revision: 1.2 $
 * $Date: 2006/02/06 20:11:09 $
 *
 * Moxiecode DHTML Tabs script.
 *
 * @author Moxiecode
 * @copyright Copyright  2004-2006, Moxiecode Systems AB, All rights reserved.
 * @modified by Wooya
 */

function StatsTabs() {
	this.settings = new Array();
};

StatsTabs.prototype.init = function(settings) {
	this.settings = settings;
};

StatsTabs.prototype.getParam = function(name, default_value) {
	var value = null;

	value = (typeof(this.settings[name]) == "undefined") ? default_value : this.settings[name];

	// Fix bool values
	if (value == "true" || value == "false")
		return (value == "true");

	return value;
};

StatsTabs.prototype.displayTab = function(tab_id, panel_id) {
	var panelElm = document.getElementById(panel_id);
	var panelContainerElm = panelElm ? panelElm.parentNode : null;
	var tabElm = document.getElementById(tab_id);
	var tabContainerElm = tabElm ? tabElm.parentNode : null;
	var selectionClass = this.getParam('selection_class', 'current');

	if (tabElm && tabContainerElm) {
		var nodes = tabContainerElm.childNodes;

		// Hide all other tabs
		for (var i=0; i<nodes.length; i++) {
			if (nodes[i].nodeName == "LI")
				nodes[i].className = '';
		}

		// Show selected tab
		tabElm.className = 'current';
	}

	if (panelElm && panelContainerElm) {
		var nodes = panelContainerElm.childNodes;

		// Hide all other panels
		for (var i=0; i<nodes.length; i++) {
			if (nodes[i].nodeName == "DIV")
				nodes[i].className = 'panel';
		}

		// Show selected panel
		panelElm.className = 'current';
	}
};

StatsTabs.prototype.getAnchor = function() {
	var pos, url = document.location.href;

	if ((pos = url.lastIndexOf('#')) != -1)
		return url.substring(pos + 1);

	return "";
};

// Global instance
var StatsTabs = new StatsTabs();

</script>
<?php
	      
	      //Last XXX visits
	      echo "<br><fieldset style='width: 95%; align: center'>";
	      echo "<legend align='center'>".sprintf($locale['ws436'], $stats_config['show_last_value'])."</legend>";
	      echo "<center>";
	      echo "<div style='width:auto;height:200px;overflow:auto'>";
	      echo "<table width='99%' class='tbl-border' cellpadding='0' cellspacing='1'>";
	      echo "<tr>";
	      echo "<td class='tbl2' align='center' style='font-size:9px;'>".$locale['ws416']."</td>";
	      echo "<td class='tbl2' align='center' style='font-size:9px;'>".$locale['ws410']."</td>";
	      echo "<td class='tbl2' align='center' style='font-size:9px;'>".$locale['ws437']."</td>";
	      echo "<td class='tbl2' align='center' style='font-size:9px;'>".$locale['ws438']."</td>";
	      echo "<td class='tbl2' align='center' style='font-size:9px;'>".$locale['ws409']."</td>";
	      echo "<td class='tbl2' align='center' style='font-size:9px;' width='5%'>".$locale['ws412']."</td>";
	      echo "<td class='tbl2' align='center' style='font-size:9px;' width='5%'>".$locale['ws411']."</td>";
	      echo "<td class='tbl2' align='center' style='font-size:9px;' width='5%'>".$locale['ws478']."</td>";
	      echo "<td class='tbl2' align='center' style='font-size:9px;' width='1%'>".$locale['ws439']."</td>";
	      echo "</tr>";
	         $result = dbquery("
	         SELECT ts.*, tu.user_name FROM ".DB_WWSP_STATS." AS ts 
	         LEFT JOIN ".DB_WWSP_USERS." AS tu ON ts.user_id = tu.user_id
	         ORDER BY ts.time DESC 
	         LIMIT 0,".$stats_config['show_last_value']
	         );
	         $rows = dbrows($result);
	         if ($rows!=0) {
	            while ($data = dbarray($result)) {
	               $flag_file = INFUSIONS."wooya_web_stats_panel/includes/flags/s/".(strtolower($data['land'])).".png";
	               echo "<tr>";
	               echo "<td class='tbl1' style='font-size:9px;'>".((isNum($data['user_id']) && $data['user_id']!=0)?"<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a>":$locale['ws465'])."</td>";
	               echo "<td class='tbl1' style='font-size:9px;' align='center'>".(file_exists($flag_file)?"<img src='".$flag_file."' alt='".$data['land'].".png' style='border:none' title='".$data['land']."'>":$data['land'])."</td>";
	               echo "<td class='tbl1' style='font-size:9px;'>".date('Y-m-d', $data['time']).' / '.date('H:i:s', $data['time'])."</td>";
	               echo "<td class='tbl1' style='font-size:9px;'>".(!eregi("admin", $data['page'])?"<a href='".BASEDIR.htmlentities($data['page'])."' target='_blank' title='".basename(htmlentities($data['page']))."'>":"").trimlink(basename(htmlentities($data['page'])),22).(!eregi("admin", $data['page'])?"</a>":"")."</td>";
	               echo "<td class='tbl1' style='font-size:9px;'>".($data['provider']!='unknown'?$data['provider']:$locale['unknown'])."</td>";
	               echo "<td class='tbl1' style='font-size:9px;'>".($data['os']!='unknown'?$data['os']:$locale['unknown'])."</td>";
	               echo "<td class='tbl1' style='font-size:9px;'>".($data['browser']!='unknown'?$data['browser']:$locale['unknown'])."</td>";
	               echo "<td class='tbl1' style='font-size:9px;'>".$locale[$data['type']]."</td>";
	               echo "<td class='tbl1' align='center' style='font-size:9px;'><a href='".FUSION_SELF.$aidlink."&amp;info=".$data['id']."'><img src='images/more.gif' alt='".$locale['ws440']."' title='".$locale['ws440']."' style='border:none'></a></td>";           
	               echo "</tr>";
	            }
	         } else {
	            echo "<tr>";
	            echo "<td colspan='9' align='center' class='tbl1'>".$locale['ws441']."</td>";
	            echo "</tr>";
	         }
	      echo "</table>";
	      echo "</div>";
	      echo "</center>";
	      echo "</fieldset>";
			
			echo "<br>";
	      
			$tabsrows = array(
			$locale['ws442'].($stats_config['month_chart_years']==1?" ".$locale['ws444']:""), 
			sprintf($locale['ws452'], $stats_config['os_chart_value']), 
			sprintf($locale['ws458'], $stats_config['browser_chart_value']), 
			sprintf($locale['ws479'], $stats_config['browser_chart_value']), 
			sprintf($locale['ws461'], $stats_config['country_chart_value']), 
			sprintf($locale['ws464'], $stats_config['language_chart_value']), 
			sprintf($locale['ws469'], $stats_config['referer_chart_value']),
			sprintf($locale['ws473'], $stats_config['page_chart_value']),
			sprintf($locale['ws477'], $stats_config['user_chart_value'])
			);
			echo "<div class='tabs'>\n<ul>\n";
			for ($i=0;$i<count($tabsrows);$i++) {
				$x = $i+1;
	         echo "<li id='statstab_".$x."'".($x==1?" class='current'":"")."><span><a href=\"javascript:StatsTabs.displayTab('statstab_".$x."','statspanel_".$x."');\" onmousedown=\"return false;\">".$tabsrows[$i]."</a></span></li>\n";
	      }
			echo "</ul>\n</div>\n";
			echo "<div class='panel_wrapper'>\n";

	      //Current year 12 months + past year 12 months
	      $months = explode("|", ($utf8 ? $locale['shortmonths_g'] : $locale['shortmonths']));
	         
	      $result = dbquery("SELECT month, COUNT(ip) AS unique_visits, SUM(hits) AS page_views FROM ".DB_WWSP_STATS." GROUP BY month ORDER BY year DESC, month DESC");
	      $rows = dbrows($result);
	      if ($rows) {
	         if ($stats_config['month_chart_years']==1) {
	            $result2 = dbquery("SELECT month, COUNT(ip) AS unique_visits, SUM(hits) AS page_views FROM ".DB_WWSP_STATS." WHERE year='$past_year' GROUP BY month ORDER BY year DESC, month DESC");
	            $page_views2 = array();
	            $unique_visits2 = array();
	            while ($data2 = dbarray($result2)) {
	               $page_views2[] = $data2['page_views'];
	               $unique_visits2[] = $data2['unique_visits'];
	            }
	         }
	         $time = mktime(1,1,1,date('m'), 1, date('Y'));
	         $date = array();
	         for($i=0; $i<12; $i++){
	            $date[] = date('m/y', $time);
	            $month[] = date('m', $time);
	            $time = mktime(1,1,1,date('m', $time-(60*60*24*25)), 1, date('Y', $time-(60*60*24*25)));
	         }
	         $page_views = array();
	         $unique_visits = array();
	         while ($data = dbarray($result)) {
	            $page_views[] = $data['page_views'];
	            $unique_visits[] = $data['unique_visits'];
	         }
	         
	         $table = "";

	         $power_graphic->title     = ($utf8 ? $locale['ws442_g'] : $locale['ws442']);
	         $power_graphic->axis_x    = $locale['ws443'];
	         $power_graphic->axis_y    = ($utf8 ? $locale['ws421_g'] : $locale['ws421']);
	         $power_graphic->graphic_1 = $locale['ws424'];
	         $power_graphic->graphic_2 = $locale['ws425'];    
	         $power_graphic->type      = $stats_config['month_chart_style'];
	         $power_graphic->skin      = $stats_config['month_chart_skin'];
	         $power_graphic->credits   = 1;
	       
	         for ($i=0;$i<count($date);$i++) {
	            $power_graphic->x[] = $months[(substr($month[$i],0,1)=="0"?substr($month[$i],1,1):$month[$i])];
	            $power_graphic->y[] = (isset($unique_visits[$i])?$unique_visits[$i]:0);
	            $power_graphic->z[] = (isset($page_views[$i])?$page_views[$i]:0);
	            $table .= "<tr>";
	            $table .= "<td class='tbl1' align='center'>".$date[$i]."</td>";
	            $table .= "<td class='tbl1' align='center'>".(isset($unique_visits[$i])?$unique_visits[$i]:'-')."</td>";
	            $table .= "<td class='tbl1' align='center'>".(isset($page_views[$i]) ? $page_views[$i]:'-')."</td>";
	            $table .= "<td class='tbl1' align='center'><a href='".FUSION_SELF.$aidlink."&amp;show=".$date[$i]."'>".$locale['ws466']."</a></td>";
	            $table .= "</tr>";
	         }

	         echo "<div id='statspanel_1' class='panel current'>";
	         echo "<img src='".INFUSIONS."wooya_web_stats_panel/includes/class.graphic.php?".$power_graphic->create_query_string()."' alt='' style='border:1px solid black'><br>";

	         $power_graphic->reset_values();

	         if ($stats_config['month_chart_years']==1) {
	            $power_graphic->title     = ($utf8 ? $locale['ws446_g'] : $locale['ws446'])." $past_year_long/$current_year_long";
	            $power_graphic->axis_x    = $locale['ws443'];
	            $power_graphic->axis_y    = ($utf8 ? $locale['ws421_g'] : $locale['ws421']);
	            $power_graphic->graphic_1 = "$past_year_long";
	            $power_graphic->graphic_2 = "$current_year_long";    
	            $power_graphic->type      = $stats_config['month_chart_style'];
	            $power_graphic->skin      = $stats_config['month_chart_skin'];
	            $power_graphic->credits   = 1;
	            for ($i=0;$i<count($date);$i++) {
	               $power_graphic->x[] = $months[(substr($month[$i],0,1)=="0"?substr($month[$i],1,1):$month[$i])];
	               $power_graphic->y[] = (isset($unique_visits[$i])?$unique_visits[$i]:0);
	               $power_graphic->z[] = (isset($unique_visits2[$i])?$unique_visits2[$i]:0);
	            }

	            echo "<br><img src='".INFUSIONS."wooya_web_stats_panel/includes/class.graphic.php?".$power_graphic->create_query_string()."' alt='' style='border:1px solid black'><br>";

	            $power_graphic->reset_values();

	            $power_graphic->title     = $locale['ws447_g']." $past_year_long/$current_year_long";
	            $power_graphic->axis_x    = $locale['ws443'];
	            $power_graphic->axis_y    = ($utf8 ? $locale['ws421_g'] : $locale['ws421']);
	            $power_graphic->graphic_1 = "$past_year_long";
	            $power_graphic->graphic_2 = "$current_year_long";    
	            $power_graphic->type      = $stats_config['month_chart_style'];
	            $power_graphic->skin      = $stats_config['month_chart_skin'];
	            $power_graphic->credits   = 1;
	            for ($i=0;$i<count($date);$i++) {
	               $power_graphic->x[] = $months[(substr($month[$i],0,1)=="0"?substr($month[$i],1,1):$month[$i])];
	               $power_graphic->y[] = (isset($page_views[$i])?$page_views[$i]:0);
	               $power_graphic->z[] = (isset($page_views2[$i])?$page_views2[$i]:0);
	            }

	            echo "<br><img src='".INFUSIONS."wooya_web_stats_panel/includes/class.graphic.php?".$power_graphic->create_query_string()."' alt='' style='border:1px solid black'><br>";

	            $power_graphic->reset_values();     
	         } 
	         echo "<center>";
	         echo "<br><table width='50%' class='tbl-border' cellpadding='0' cellspacing='1'>";
	         echo "<tr>";
	         echo "<td class='tbl2' align='center' width='25%'><strong>".$locale['ws448']."</strong></td>";
	         echo "<td class='tbl2' align='center' width='25%'><strong>".$locale['ws446']."</strong></td>";
	         echo "<td class='tbl2' align='center' width='25%'><strong>".$locale['ws447']."</strong></td>";
	         echo "<td class='tbl2' align='center' width='25%'><strong>".$locale['ws449']."</strong></td>";
	         echo "</tr>";
	         echo $table;
	         echo "</table>";
	         echo "</center>";
				echo "</div>";
			} else {
	         echo "<div id='statspanel_1' class='panel current'>";
            echo "<center>".$locale['ws441']."</center>";
            echo "</div>";
			}
			
	      //Most used operatings systems
	      $power_graphic->title     = ($utf8 ? $locale['ws450_g'] : $locale['ws450']);
	      $power_graphic->axis_x    = ($utf8 ? $locale['ws451_g'] : $locale['ws451']);
	      $power_graphic->axis_y    = '%';
	      $power_graphic->type      = $stats_config['os_chart_style'];
	      $power_graphic->skin      = $stats_config['os_chart_skin'];
	      $power_graphic->credits   = 1;

	      $result = dbquery("SELECT os AS nos, Count(*) AS cos FROM ".DB_WWSP_STATS." WHERE (os!='unknown' AND os!='') GROUP BY nos ORDER BY cos DESC LIMIT ".$stats_config['os_chart_value']);
	      $table = "";
	      $nbrow = array();
	      $chits = array();
	      $uhits = 0;
	      $rows = dbrows($result);
	      if ($rows) {
	         while ($data = dbarray($result)) {
	            $nbrow[] = $data['nos'];
	            $chits[] = $data['cos'];
	            $uhits += $data['cos'];
	         }
	         for ($i=0;$i<count($nbrow);$i++) {
	            $power_graphic->x[] = $nbrow[$i];
	            $power_graphic->y[] = (($chits[$i]/$uhits)*100);
	            $table .= "<tr><td class='tbl1'>".$nbrow[$i]."</td><td class='tbl1'>".$chits[$i]."</td><td class='tbl1'>".number_format(($chits[$i]/$uhits)*100, 2, '.', '')."%</td></tr>";
	         }
	      }

			echo "<div id='statspanel_2' class='panel'>";
			if ($rows) {
	         echo "<img src='".INFUSIONS."wooya_web_stats_panel/includes/class.graphic.php?".$power_graphic->create_query_string()."' alt='' style='border:1px solid black'>";
	         echo "<center>";
	         echo "<br><table width='50%' class='tbl-border' cellpadding='0' cellspacing='1'>";
	         echo "<tr>";
	         echo "<td width='33%' class='tbl2'><strong>".$locale['ws451']."</strong></td>";
	         echo "<td width='33%' class='tbl2'><strong>".$locale['ws453']."</strong></td>";
	         echo "<td width='33%' class='tbl2'><strong>".$locale['ws454']."</strong></td>";
	         echo "</tr>";
	         echo $table;
	         echo "</table>";
	         echo "</center>";
	      } else {
            echo "<center>".$locale['ws441']."</center>";
	      }
	      echo "</div>";

	      $power_graphic->reset_values();

	      // Most used browsers
	      $power_graphic->title     = ($utf8 ? $locale['ws455_g'] : $locale['ws455']);
	      $power_graphic->axis_x    = ($utf8 ? $locale['ws456_g'] : $locale['ws456']);
	      $power_graphic->axis_y    = '%';
	      $power_graphic->type      = $stats_config['browser_chart_style'];
	      $power_graphic->skin      = $stats_config['browser_chart_skin'];
	      $power_graphic->credits   = 1;

	      $result = dbquery("SELECT LEFT(browser, INSTR(browser,'[')-1) AS nbrowser, Count(*) AS cbrowser FROM ".DB_WWSP_STATS." WHERE (type!='bot' AND browser!='unknown' AND browser!='') GROUP BY nbrowser ORDER BY cbrowser DESC LIMIT ".$stats_config['browser_chart_value']);
	      $table = "";
	      $nbrow = array();
	      $chits = array();
	      $uhits = 0;
	      $rows = dbrows($result);
	      if ($rows) {
	         while ($data = dbarray($result)) {
	            $nbrow[] = $data['nbrowser'];
	            $chits[] = $data['cbrowser'];
	            $uhits += $data['cbrowser'];
	         }
	         for ($i=0;$i<count($nbrow);$i++) {
	            $power_graphic->x[] = $nbrow[$i];
	            $power_graphic->y[] = (($chits[$i]/$uhits)*100);
	            $table .= "<tr><td class='tbl1'>".$nbrow[$i]."</td><td class='tbl1'>".$chits[$i]."</td><td class='tbl1'>".number_format(($chits[$i]/$uhits)*100, 2, '.', '')."%</td></tr>";
	         }
			}
			
			echo "<div id='statspanel_3' class='panel'>";
	      if ($rows) {
	         echo "<img src='".INFUSIONS."wooya_web_stats_panel/includes/class.graphic.php?".$power_graphic->create_query_string()."' alt='' style='border:1px solid black'>";
	         echo "<center>";
	         echo "<br><table width='50%' class='tbl-border' cellpadding='0' cellspacing='1'>";
	         echo "<tr>";
	         echo "<td width='33%' class='tbl2'><strong>".$locale['ws456']."</strong></td>";
	         echo "<td width='33%' class='tbl2'><strong>".$locale['ws453']."</strong></td>";
	         echo "<td width='33%' class='tbl2'><strong>".$locale['ws454']."</strong></td>";
	         echo "</tr>";
	         echo $table;
	         echo "</table>";
	         echo "</center>";
	      } else {
            echo "<center>".$locale['ws441']."</center>";
	      }
	      echo "</div>";

	      $power_graphic->reset_values();

	      // Most used bots
	      $power_graphic->title     = $locale['ws480'];
	      $power_graphic->axis_x    = ($utf8 ? $locale['ws481_g'] : $locale['ws481']);
	      $power_graphic->axis_y    = '%';
	      $power_graphic->type      = $stats_config['bot_chart_style'];
	      $power_graphic->skin      = $stats_config['bot_chart_skin'];
	      $power_graphic->credits   = 1;

	      $result = dbquery("SELECT LEFT(browser, INSTR(browser,'[')-1) AS nbrowser1, browser AS nbrowser2, Count(*) AS cbrowser FROM ".DB_WWSP_STATS." WHERE (type='bot' AND browser!='unknown' AND browser!='') GROUP BY nbrowser1 ORDER BY cbrowser DESC LIMIT ".$stats_config['bot_chart_value']);
	      $table = "";
	      $nbrow = array();
	      $chits = array();
	      $uhits = 0;
	      $rows = dbrows($result);
	      if ($rows) {
	         while ($data = dbarray($result)) {
	            $nbrow[] = (trim($data['nbrowser1'])!=''?$data['nbrowser1']:$data['nbrowser2']);
	            $chits[] = $data['cbrowser'];
	            $uhits += $data['cbrowser'];
	         }
	         for ($i=0;$i<count($nbrow);$i++) {
	            $power_graphic->x[] = $nbrow[$i];
	            $power_graphic->y[] = (($chits[$i]/$uhits)*100);
	            $table .= "<tr><td class='tbl1'>".$nbrow[$i]."</td><td class='tbl1'>".$chits[$i]."</td><td class='tbl1'>".number_format(($chits[$i]/$uhits)*100, 2, '.', '')."%</td></tr>";
	         }
	      }

			echo "<div id='statspanel_4' class='panel'>";
	      if ($rows) {
	         echo "<img src='".INCLUDES."class.graphic.php?".$power_graphic->create_query_string()."' alt='' style='border:1px solid black'>";
	         echo "<center>";
	         echo "<br><table width='50%' class='tbl-border' cellpadding='0' cellspacing='1'>";
	         echo "<tr>";
	         echo "<td width='33%' class='tbl2'><strong>".$locale['ws481']."</strong></td>";
	         echo "<td width='33%' class='tbl2'><strong>".$locale['ws453']."</strong></td>";
	         echo "<td width='33%' class='tbl2'><strong>".$locale['ws454']."</strong></td>";
	         echo "</tr>";
	         echo $table;
	         echo "</table>";
	         echo "</center>";
	      } else {
            echo "<center>".$locale['ws441']."</center>";
	      }
	      echo "</div>";

	      $power_graphic->reset_values();
	      			 
	      //Most countries of sources
	      $power_graphic->title     = ($utf8 ? $locale['ws459_g'] : $locale['ws459']);
	      $power_graphic->axis_x    = ($utf8 ? $locale['ws460_g'] : $locale['ws460']);
	      $power_graphic->axis_y    = '%';
	      $power_graphic->type      = $stats_config['country_chart_style'];
	      $power_graphic->skin      = $stats_config['country_chart_skin'];
	      $power_graphic->credits   = 1;

	      $result = dbquery("SELECT land AS nland, Count(*) AS cland FROM ".DB_WWSP_STATS." GROUP BY nland ORDER BY cland DESC LIMIT ".$stats_config['country_chart_value']);
	      $table = "";
	      $rows = dbrows($result);
	      if ($rows) {
	         while ($data = dbarray($result)) {
	            $power_graphic->x[] = $data['nland']!="--"?$data['nland']:($utf8 ? $locale['ws457_g'] : $locale['ws457']);
	            $power_graphic->y[] = (($data['cland']/$stats_hits['cip'])*100);
	            $table .= "<tr><td class='tbl1'>".($data['nland']!="--"?$data['nland']:$locale['ws457'])."</td><td class='tbl1'>".$data['cland']."</td><td class='tbl1'>".number_format(($data['cland']/$stats_hits['cip'])*100, 2, '.', '')."%</td></tr>";
	         }
	      }

			echo "<div id='statspanel_5' class='panel'>";
			if ($rows) {
	         echo "<img src='".INFUSIONS."wooya_web_stats_panel/includes/class.graphic.php?".$power_graphic->create_query_string()."' alt='' style='border:1px solid black'>";
	         echo "<center>";
	         echo "<br><table width='50%' class='tbl-border' cellpadding='0' cellspacing='1'>";
	         echo "<tr>";
	         echo "<td width='33%' class='tbl2'><strong>".$locale['ws460']."</strong></td>";
	         echo "<td width='33%' class='tbl2'><strong>".$locale['ws453']."</strong></td>";
	         echo "<td width='33%' class='tbl2'><strong>".$locale['ws454']."</strong></td>";
	         echo "</tr>";
	         echo $table;
	         echo "</table>";
	         echo "</center>";
	      } else {
            echo "<center>".$locale['ws441']."</center>";
	      }
	      echo "</div>";

	      $power_graphic->reset_values();

	      //Most used languages
	      $power_graphic->title     = $locale['ws462'];
	      $power_graphic->axis_x    = ($utf8 ? $locale['ws463_g'] : $locale['ws463']);
	      $power_graphic->axis_y    = '%';
	      $power_graphic->type      = $stats_config['language_chart_style'];
	      $power_graphic->skin      = $stats_config['language_chart_skin'];
	      $power_graphic->credits   = 1;

	      $result = dbquery("SELECT site_language AS nlanguage, Count(*) AS clanguage FROM ".DB_WWSP_STATS." GROUP BY nlanguage ORDER BY clanguage DESC LIMIT ".$stats_config['language_chart_value']);
	      $table = "";
	      $rows = dbrows($result);
	      if ($rows) {
	         while ($data = dbarray($result)) {
	            $power_graphic->x[] = $data['nlanguage'];
	            $power_graphic->y[] = (($data['clanguage']/$stats_hits['cip'])*100);
	            $table .= "<tr><td class='tbl1'>".$data['nlanguage']."</td><td class='tbl1'>".$data['clanguage']."</td><td class='tbl1'>".number_format(($data['clanguage']/$stats_hits['cip'])*100, 2, '.', '')."%</td></tr>";
	         }
	      }

			echo "<div id='statspanel_6' class='panel'>";
	      if ($rows) {
	         echo "<img src='".INFUSIONS."wooya_web_stats_panel/includes/class.graphic.php?".$power_graphic->create_query_string()."' alt='' style='border:1px solid black'>";
	         echo "<center>";
	         echo "<br><table width='50%' class='tbl-border' cellpadding='0' cellspacing='1'>";
	         echo "<tr>";
	         echo "<td width='33%' class='tbl2'><strong>".$locale['ws463']."</strong></td>";
	         echo "<td width='33%' class='tbl2'><strong>".$locale['ws453']."</strong></td>";
	         echo "<td width='33%' class='tbl2'><strong>".$locale['ws454']."</strong></td>";
	         echo "</tr>";
	         echo $table;
	         echo "</table>";
	         echo "</center>";
	      } else {
            echo "<center>".$locale['ws441']."</center>";
	      }
	      echo "</div>";

	      $power_graphic->reset_values();
	      
			//Most used referers
	      $power_graphic->title     = $locale['ws467'];
	      $power_graphic->axis_x    = ($utf8 ? $locale['ws468_g'] : $locale['ws468']);
	      $power_graphic->axis_y    = '%';
	      $power_graphic->type      = $stats_config['referer_chart_style'];
	      $power_graphic->skin      = $stats_config['referer_chart_skin'];
	      $power_graphic->credits   = 1;

	      $result = dbquery("SELECT referer AS nreferer, Count(*) AS creferer FROM ".DB_WWSP_STATS." WHERE referer!='unknown' GROUP BY nreferer ORDER BY creferer DESC LIMIT ".$stats_config['referer_chart_value']);
	      $table = "";
	      $nrefe = array();
	      $chits = array();
	      $uhits = 0;
	      $rows = dbrows($result);
	      if ($rows) {
	         while ($data = dbarray($result)) {
	            $nrefe[] = $data['nreferer'];
	            $chits[] = $data['creferer'];
	            $uhits += $data['creferer'];
	         }
	         for ($i=0;$i<count($nrefe);$i++) {
	            $power_graphic->x[] = $nrefe[$i];
	            $power_graphic->y[] = (($chits[$i]/$uhits)*100);
	            $table .= "<tr><td class='tbl1'><a href='".$nrefe[$i]."' target='_blank'>".$nrefe[$i]."</a></td><td class='tbl1'>".$chits[$i]."</td><td class='tbl1'>".number_format(($chits[$i]/$uhits)*100, 2, '.', '')."%</td></tr>";
	         }
	      }

			echo "<div id='statspanel_7' class='panel'>";
	      if ($rows) {
	         echo "<img src='".INFUSIONS."wooya_web_stats_panel/includes/class.graphic.php?".$power_graphic->create_query_string()."' alt='' style='border:1px solid black'>";
	         echo "<center>";
	         echo "<br><table width='50%' class='tbl-border' cellpadding='0' cellspacing='1'>";
	         echo "<tr>";
	         echo "<td width='33%' class='tbl2'><strong>".$locale['ws470']."</strong></td>";
	         echo "<td width='33%' class='tbl2'><strong>".$locale['ws453']."</strong></td>";
	         echo "<td width='33%' class='tbl2'><strong>".$locale['ws454']."</strong></td>";
	         echo "</tr>";
	         echo $table;
	         echo "</table>";
	         echo "</center>";
	      } else {
            echo "<center>".$locale['ws441']."</center>";
	      }
	      echo "</div>";

	      $power_graphic->reset_values();
	       
			//Most visited pages
	      $power_graphic->title     = $locale['ws471'];
	      $power_graphic->axis_x    = $locale['ws472'];
	      $power_graphic->axis_y    = '%';
	      $power_graphic->type      = $stats_config['page_chart_style'];
	      $power_graphic->skin      = $stats_config['page_chart_skin'];
	      $power_graphic->credits   = 1;

	      $result = dbquery("SELECT LEFT(page, INSTR(page, '.php')+3) AS npage, Count(*) AS cpage FROM ".DB_WWSP_STATS." GROUP BY npage ORDER BY cpage DESC LIMIT ".$stats_config['page_chart_value']);
	      $table = "";
	      $rows = dbrows($result);
	      if ($rows) {
	         while ($data = dbarray($result)) {
	            $power_graphic->x[] = $data['npage'];
	            $power_graphic->y[] = (($data['cpage']/$stats_hits['cip'])*100);
	            $table .= "<tr><td class='tbl1'><a href='".BASEDIR.$data['npage']."' target='_blank'>".$data['npage']."</a></td><td class='tbl1'>".$data['cpage']."</td><td class='tbl1'>".number_format(($data['cpage']/$stats_hits['cip'])*100, 2, '.', '')."%</td></tr>";
	         }
	      }

			echo "<div id='statspanel_8' class='panel'>";
	      if ($rows) {
	         echo "<img src='".INFUSIONS."wooya_web_stats_panel/includes/class.graphic.php?".$power_graphic->create_query_string()."' alt='' style='border:1px solid black'>";
	         echo "<center>";
	         echo "<br><table width='50%' class='tbl-border' cellpadding='0' cellspacing='1'>";
	         echo "<tr>";
	         echo "<td width='33%' class='tbl2'><strong>".$locale['ws474']."</strong></td>";
	         echo "<td width='33%' class='tbl2'><strong>".$locale['ws453']."</strong></td>";
	         echo "<td width='33%' class='tbl2'><strong>".$locale['ws454']."</strong></td>";
	         echo "</tr>";
	         echo $table;
	         echo "</table>";
	         echo "</center>";
	      } else {
            echo "<center>".$locale['ws441']."</center>";
	      }
	      echo "</div>";

	      $power_graphic->reset_values();
	      
			//Most visited pages
	      $power_graphic->title     = $locale['ws475'];
	      $power_graphic->axis_x    = ($utf8 ? $locale['ws476_g'] : $locale['ws476']);
	      $power_graphic->axis_y    = '%';
	      $power_graphic->type      = $stats_config['user_chart_style'];
	      $power_graphic->skin      = $stats_config['user_chart_skin'];
	      $power_graphic->credits   = 1;

	      $result = dbquery("SELECT tu.user_id AS userid, tu.user_name AS nuser, ts.hits AS chits FROM ".DB_WWSP_STATS." AS ts RIGHT JOIN ".DB_WWSP_USERS." AS tu ON tu.user_id = ts.user_id WHERE ts.hits!='0' GROUP BY nuser ORDER BY chits DESC LIMIT ".$stats_config['user_chart_value']);
	      $table = "";
	      $nuser = array();
	      $chits = array();
	      $uhits = 0;
	      $rows = dbrows($result);
	      if ($rows) {
	         while ($data = dbarray($result)) {
	            $nuser[] = $data['nuser'];
	            $chits[] = $data['chits'];
	            $uhits += $data['chits'];
	         }
	         for ($i=0;$i<count($nuser);$i++) {
	            $power_graphic->x[] = $nuser[$i];
	            $power_graphic->y[] = (($chits[$i]/$uhits)*100);
	            $table .= "<tr><td class='tbl1'>".$nuser[$i]."</td><td class='tbl1'>".$chits[$i]."</td><td class='tbl1'>".number_format(($chits[$i]/$uhits)*100, 2, '.', '')."%</td></tr>";
	         }
	      }

			echo "<div id='statspanel_9' class='panel'>";
	      if ($rows) {
	         echo "<img src='".INFUSIONS."wooya_web_stats_panel/includes/class.graphic.php?".$power_graphic->create_query_string()."' alt='' style='border:1px solid black'>";
	         echo "<center>";
	         echo "<br><table width='50%' class='tbl-border' cellpadding='0' cellspacing='1'>";
	         echo "<tr>";
	         echo "<td width='33%' class='tbl2'><strong>".$locale['ws476']."</strong></td>";
	         echo "<td width='33%' class='tbl2'><strong>".$locale['ws453']."</strong></td>";
	         echo "<td width='33%' class='tbl2'><strong>".$locale['ws454']."</strong></td>";
	         echo "</tr>";
	         echo $table;
	         echo "</table>";
	         echo "</center>";
	      } else {
            echo "<center>".$locale['ws441']."</center>";
	      }
	      echo "</div>";

	      $power_graphic->reset_values();
	      
		 	echo "</div>";
	      echo "</div>";
	      closetable();
	   //config
	   } else {
	      opentable($locale['ws401']);
	      echo $navigator;
	      echo "<div style='text-align:center'>";
	      echo "<form action='".FUSION_SELF.$aidlink."&amp;page=2' method='post'>";
	      echo $locale['ws500']." <input style='width:50px;text-align:center' class='textbox' type='checkbox' value='1' name='stats_enabled' ".($stats_config['stats_enabled']==1?"checked":"").">";
	      echo "<br><br>";
	      echo $locale['ws501']." <input style='width:50px;text-align:center' class='textbox' type='text' value='".$stats_config['show_last_value']."' name='show_last_value'>";
	      echo "<br><br>";
	      echo "<fieldset style='width: 95%; text-align: center'>";
	      echo "<legend align='center'>".$locale['ws502']."</legend>";
	      echo $locale['ws503']." <input type='checkbox' value='1' name='month_chart_years' ".($stats_config['month_chart_years']==1?"checked":"").">"; 
	      echo $locale['ws504']." <select name='month_chart_style' class='textbox'>";
	      echo "<option value='1' ".($stats_config['month_chart_style']=='1'?"selected":"").">".$locale['ws505']."</option>";
	      echo "<option value='2' ".($stats_config['month_chart_style']=='2'?"selected":"").">".$locale['ws506']."</option>";
	      echo "<option value='3' ".($stats_config['month_chart_style']=='3'?"selected":"").">".$locale['ws507']."</option>";
	      echo "<option value='4' ".($stats_config['month_chart_style']=='4'?"selected":"").">".$locale['ws508']."</option>";
	      echo "</select> ";
	      echo $locale['ws511']." <select name='month_chart_skin' class='textbox'>";
	      echo "<option value='1' ".($stats_config['month_chart_skin']=='1'?"selected":"").">".$locale['ws512']."</option>";
	      echo "<option value='2' ".($stats_config['month_chart_skin']=='2'?"selected":"").">".$locale['ws513']."</option>";
	      echo "<option value='3' ".($stats_config['month_chart_skin']=='3'?"selected":"").">".$locale['ws514']."</option>";
	      echo "</select>";
	      echo "</fieldset><br>";
	      echo "<fieldset style='width: 95%; text-align: center'>";
	      echo "<legend align='center'>".$locale['ws515']."</legend>";
	      echo $locale['ws516']." <select name='os_chart_value' class='textbox'>";
	      echo "<option value='5' ".($stats_config['os_chart_value']=='5'?"selected":"").">5</option>";
	      echo "<option value='10' ".($stats_config['os_chart_value']=='10'?"selected":"").">10</option>";
	      echo "<option value='20' ".($stats_config['os_chart_value']=='20'?"selected":"").">20</option>";
	      echo "<option value='50' ".($stats_config['os_chart_value']=='50'?"selected":"").">50</option>";
	      echo "<option value='100' ".($stats_config['os_chart_value']=='100'?"selected":"").">100</option>";
	      echo "</select> ";   
	      echo $locale['ws504']." <select name='os_chart_style' class='textbox'>";
	      echo "<option value='1' ".($stats_config['os_chart_style']=='1'?"selected":"").">".$locale['ws505']."</option>";
	      echo "<option value='2' ".($stats_config['os_chart_style']=='2'?"selected":"").">".$locale['ws506']."</option>";
	      echo "<option value='3' ".($stats_config['os_chart_style']=='3'?"selected":"").">".$locale['ws507']."</option>";
	      echo "<option value='4' ".($stats_config['os_chart_style']=='4'?"selected":"").">".$locale['ws508']."</option>";
	      echo "<option value='5' ".($stats_config['os_chart_style']=='5'?"selected":"").">".$locale['ws509']."</option>";
	      echo "<option value='6' ".($stats_config['os_chart_style']=='6'?"selected":"").">".$locale['ws510']."</option>";
	      echo "</select> ";
	      echo $locale['ws511']." <select name='os_chart_skin' class='textbox'>";
	      echo "<option value='1' ".($stats_config['os_chart_skin']=='1'?"selected":"").">".$locale['ws512']."</option>";
	      echo "<option value='2' ".($stats_config['os_chart_skin']=='2'?"selected":"").">".$locale['ws513']."</option>";
	      echo "<option value='3' ".($stats_config['os_chart_skin']=='3'?"selected":"").">".$locale['ws514']."</option>";
	      echo "</select>";
	      echo "</fieldset><br>";
	      echo "<fieldset style='width: 95%; text-align: center'>";
	      echo "<legend align='center'>".$locale['ws517']."</legend>";
	      echo $locale['ws516']." <select name='browser_chart_value' class='textbox'>";
	      echo "<option value='5' ".($stats_config['browser_chart_value']=='5'?"selected":"").">5</option>";
	      echo "<option value='10' ".($stats_config['browser_chart_value']=='10'?"selected":"").">10</option>";
	      echo "<option value='20' ".($stats_config['browser_chart_value']=='20'?"selected":"").">20</option>";
	      echo "<option value='50' ".($stats_config['browser_chart_value']=='50'?"selected":"").">50</option>";
	      echo "<option value='100' ".($stats_config['browser_chart_value']=='100'?"selected":"").">100</option>";
	      echo "</select> ";   
	      echo $locale['ws504']." <select name='browser_chart_style' class='textbox'>";
	      echo "<option value='1' ".($stats_config['browser_chart_style']=='1'?"selected":"").">".$locale['ws505']."</option>";
	      echo "<option value='2' ".($stats_config['browser_chart_style']=='2'?"selected":"").">".$locale['ws506']."</option>";
	      echo "<option value='3' ".($stats_config['browser_chart_style']=='3'?"selected":"").">".$locale['ws507']."</option>";
	      echo "<option value='4' ".($stats_config['browser_chart_style']=='4'?"selected":"").">".$locale['ws508']."</option>";
	      echo "<option value='5' ".($stats_config['browser_chart_style']=='5'?"selected":"").">".$locale['ws509']."</option>";
	      echo "<option value='6' ".($stats_config['browser_chart_style']=='6'?"selected":"").">".$locale['ws510']."</option>";
	      echo "</select> ";
	      echo $locale['ws511']." <select name='browser_chart_skin' class='textbox'>";
	      echo "<option value='1' ".($stats_config['browser_chart_skin']=='1'?"selected":"").">".$locale['ws512']."</option>";
	      echo "<option value='2' ".($stats_config['browser_chart_skin']=='2'?"selected":"").">".$locale['ws513']."</option>";
	      echo "<option value='3' ".($stats_config['browser_chart_skin']=='3'?"selected":"").">".$locale['ws514']."</option>";
	      echo "</select>";
	      echo "</fieldset><br>";

	      echo "<fieldset style='width: 95%; text-align: center'>";
	      echo "<legend align='center'>".$locale['ws530']."</legend>";
	      echo $locale['ws516']." <select name='bot_chart_value' class='textbox'>";
	      echo "<option value='5' ".($stats_config['bot_chart_value']=='5'?"selected":"").">5</option>";
	      echo "<option value='10' ".($stats_config['bot_chart_value']=='10'?"selected":"").">10</option>";
	      echo "<option value='20' ".($stats_config['bot_chart_value']=='20'?"selected":"").">20</option>";
	      echo "<option value='50' ".($stats_config['bot_chart_value']=='50'?"selected":"").">50</option>";
	      echo "<option value='100' ".($stats_config['bot_chart_value']=='100'?"selected":"").">100</option>";
	      echo "</select> ";   
	      echo $locale['ws504']." <select name='bot_chart_style' class='textbox'>";
	      echo "<option value='1' ".($stats_config['bot_chart_style']=='1'?"selected":"").">".$locale['ws505']."</option>";
	      echo "<option value='2' ".($stats_config['bot_chart_style']=='2'?"selected":"").">".$locale['ws506']."</option>";
	      echo "<option value='3' ".($stats_config['bot_chart_style']=='3'?"selected":"").">".$locale['ws507']."</option>";
	      echo "<option value='4' ".($stats_config['bot_chart_style']=='4'?"selected":"").">".$locale['ws508']."</option>";
	      echo "<option value='5' ".($stats_config['bot_chart_style']=='5'?"selected":"").">".$locale['ws509']."</option>";
	      echo "<option value='6' ".($stats_config['bot_chart_style']=='6'?"selected":"").">".$locale['ws510']."</option>";
	      echo "</select> ";
	      echo $locale['ws511']." <select name='bot_chart_skin' class='textbox'>";
	      echo "<option value='1' ".($stats_config['bot_chart_skin']=='1'?"selected":"").">".$locale['ws512']."</option>";
	      echo "<option value='2' ".($stats_config['bot_chart_skin']=='2'?"selected":"").">".$locale['ws513']."</option>";
	      echo "<option value='3' ".($stats_config['bot_chart_skin']=='3'?"selected":"").">".$locale['ws514']."</option>";
	      echo "</select>";
	      echo "</fieldset><br>";

	      echo "<fieldset style='width: 95%; text-align: center'>";
	      echo "<legend align='center'>".$locale['ws518']."</legend>";
	      echo $locale['ws516']." <select name='country_chart_value' class='textbox'>";
	      echo "<option value='5' ".($stats_config['country_chart_value']=='5'?"selected":"").">5</option>";
	      echo "<option value='10' ".($stats_config['country_chart_value']=='10'?"selected":"").">10</option>";
	      echo "<option value='20' ".($stats_config['country_chart_value']=='20'?"selected":"").">20</option>";
	      echo "<option value='50' ".($stats_config['country_chart_value']=='50'?"selected":"").">50</option>";
	      echo "<option value='100' ".($stats_config['country_chart_value']=='100'?"selected":"").">100</option>";
	      echo "</select> ";   
	      echo $locale['ws504']." <select name='country_chart_style' class='textbox'>";
	      echo "<option value='1' ".($stats_config['country_chart_style']=='1'?"selected":"").">".$locale['ws505']."</option>";
	      echo "<option value='2' ".($stats_config['country_chart_style']=='2'?"selected":"").">".$locale['ws506']."</option>";
	      echo "<option value='3' ".($stats_config['country_chart_style']=='3'?"selected":"").">".$locale['ws507']."</option>";
	      echo "<option value='4' ".($stats_config['country_chart_style']=='4'?"selected":"").">".$locale['ws508']."</option>";
	      echo "<option value='5' ".($stats_config['country_chart_style']=='5'?"selected":"").">".$locale['ws509']."</option>";
	      echo "<option value='6' ".($stats_config['country_chart_style']=='6'?"selected":"").">".$locale['ws510']."</option>";
	      echo "</select> ";
	      echo $locale['ws511']." <select name='country_chart_skin' class='textbox'>";
	      echo "<option value='1' ".($stats_config['country_chart_skin']=='1'?"selected":"").">".$locale['ws512']."</option>";
	      echo "<option value='2' ".($stats_config['country_chart_skin']=='2'?"selected":"").">".$locale['ws513']."</option>";
	      echo "<option value='3' ".($stats_config['country_chart_skin']=='3'?"selected":"").">".$locale['ws514']."</option>";
	      echo "</select>";
	      echo "</fieldset><br>";
	      echo "<fieldset style='width: 95%; text-align: center'>";
	      echo "<legend align='center'>".$locale['ws519']."</legend>";
	      echo $locale['ws516']." <select name='language_chart_value' class='textbox'>";
	      echo "<option value='5' ".($stats_config['language_chart_value']=='5'?"selected":"").">5</option>";
	      echo "<option value='10' ".($stats_config['language_chart_value']=='10'?"selected":"").">10</option>";
	      echo "<option value='20' ".($stats_config['language_chart_value']=='20'?"selected":"").">20</option>";
	      echo "<option value='50' ".($stats_config['language_chart_value']=='50'?"selected":"").">50</option>";
	      echo "<option value='100' ".($stats_config['language_chart_value']=='100'?"selected":"").">100</option>";
	      echo "</select> ";   
	      echo $locale['ws504']." <select name='language_chart_style' class='textbox'>";
	      echo "<option value='1' ".($stats_config['language_chart_style']=='1'?"selected":"").">".$locale['ws505']."</option>";
	      echo "<option value='2' ".($stats_config['language_chart_style']=='2'?"selected":"").">".$locale['ws506']."</option>";
	      echo "<option value='3' ".($stats_config['language_chart_style']=='3'?"selected":"").">".$locale['ws507']."</option>";
	      echo "<option value='4' ".($stats_config['language_chart_style']=='4'?"selected":"").">".$locale['ws508']."</option>";
	      echo "<option value='5' ".($stats_config['language_chart_style']=='5'?"selected":"").">".$locale['ws509']."</option>";
	      echo "<option value='6' ".($stats_config['language_chart_style']=='6'?"selected":"").">".$locale['ws510']."</option>";
	      echo "</select> ";
	      echo $locale['ws511']." <select name='language_chart_skin' class='textbox'>";
	      echo "<option value='1' ".($stats_config['language_chart_skin']=='1'?"selected":"").">".$locale['ws512']."</option>";
	      echo "<option value='2' ".($stats_config['language_chart_skin']=='2'?"selected":"").">".$locale['ws513']."</option>";
	      echo "<option value='3' ".($stats_config['language_chart_skin']=='3'?"selected":"").">".$locale['ws514']."</option>";
	      echo "</select>";
	      echo "</fieldset><br>";
	      echo "<fieldset style='width: 95%; text-align: center'>";
	      echo "<legend align='center'>".$locale['ws527']."</legend>";
	      echo $locale['ws516']." <select name='referer_chart_value' class='textbox'>";
	      echo "<option value='5' ".($stats_config['referer_chart_value']=='5'?"selected":"").">5</option>";
	      echo "<option value='10' ".($stats_config['referer_chart_value']=='10'?"selected":"").">10</option>";
	      echo "<option value='20' ".($stats_config['referer_chart_value']=='20'?"selected":"").">20</option>";
	      echo "<option value='50' ".($stats_config['referer_chart_value']=='50'?"selected":"").">50</option>";
	      echo "<option value='100' ".($stats_config['referer_chart_value']=='100'?"selected":"").">100</option>";
	      echo "</select> ";   
	      echo $locale['ws504']." <select name='referer_chart_style' class='textbox'>";
	      echo "<option value='1' ".($stats_config['referer_chart_style']=='1'?"selected":"").">".$locale['ws505']."</option>";
	      echo "<option value='2' ".($stats_config['referer_chart_style']=='2'?"selected":"").">".$locale['ws506']."</option>";
	      echo "<option value='3' ".($stats_config['referer_chart_style']=='3'?"selected":"").">".$locale['ws507']."</option>";
	      echo "<option value='4' ".($stats_config['referer_chart_style']=='4'?"selected":"").">".$locale['ws508']."</option>";
	      echo "<option value='5' ".($stats_config['referer_chart_style']=='5'?"selected":"").">".$locale['ws509']."</option>";
	      echo "<option value='6' ".($stats_config['referer_chart_style']=='6'?"selected":"").">".$locale['ws510']."</option>";
	      echo "</select> ";
	      echo $locale['ws511']." <select name='referer_chart_skin' class='textbox'>";
	      echo "<option value='1' ".($stats_config['referer_chart_skin']=='1'?"selected":"").">".$locale['ws512']."</option>";
	      echo "<option value='2' ".($stats_config['referer_chart_skin']=='2'?"selected":"").">".$locale['ws513']."</option>";
	      echo "<option value='3' ".($stats_config['referer_chart_skin']=='3'?"selected":"").">".$locale['ws514']."</option>";
	      echo "</select>";
	      echo "</fieldset><br>";	      
	      echo "<fieldset style='width: 95%; text-align: center'>";
	      echo "<legend align='center'>".$locale['ws528']."</legend>";
	      echo $locale['ws516']." <select name='page_chart_value' class='textbox'>";
	      echo "<option value='5' ".($stats_config['page_chart_value']=='5'?"selected":"").">5</option>";
	      echo "<option value='10' ".($stats_config['page_chart_value']=='10'?"selected":"").">10</option>";
	      echo "<option value='20' ".($stats_config['page_chart_value']=='20'?"selected":"").">20</option>";
	      echo "<option value='50' ".($stats_config['page_chart_value']=='50'?"selected":"").">50</option>";
	      echo "<option value='100' ".($stats_config['page_chart_value']=='100'?"selected":"").">100</option>";
	      echo "</select> ";   
	      echo $locale['ws504']." <select name='page_chart_style' class='textbox'>";
	      echo "<option value='1' ".($stats_config['page_chart_style']=='1'?"selected":"").">".$locale['ws505']."</option>";
	      echo "<option value='2' ".($stats_config['page_chart_style']=='2'?"selected":"").">".$locale['ws506']."</option>";
	      echo "<option value='3' ".($stats_config['page_chart_style']=='3'?"selected":"").">".$locale['ws507']."</option>";
	      echo "<option value='4' ".($stats_config['page_chart_style']=='4'?"selected":"").">".$locale['ws508']."</option>";
	      echo "<option value='5' ".($stats_config['page_chart_style']=='5'?"selected":"").">".$locale['ws509']."</option>";
	      echo "<option value='6' ".($stats_config['page_chart_style']=='6'?"selected":"").">".$locale['ws510']."</option>";
	      echo "</select> ";
	      echo $locale['ws511']." <select name='page_chart_skin' class='textbox'>";
	      echo "<option value='1' ".($stats_config['page_chart_skin']=='1'?"selected":"").">".$locale['ws512']."</option>";
	      echo "<option value='2' ".($stats_config['page_chart_skin']=='2'?"selected":"").">".$locale['ws513']."</option>";
	      echo "<option value='3' ".($stats_config['page_chart_skin']=='3'?"selected":"").">".$locale['ws514']."</option>";
	      echo "</select>";
	      echo "</fieldset><br>";	      
	      echo "<fieldset style='width: 95%; text-align: center'>";
	      echo "<legend align='center'>".$locale['ws529']."</legend>";
	      echo $locale['ws516']." <select name='user_chart_value' class='textbox'>";
	      echo "<option value='5' ".($stats_config['user_chart_value']=='5'?"selected":"").">5</option>";
	      echo "<option value='10' ".($stats_config['user_chart_value']=='10'?"selected":"").">10</option>";
	      echo "<option value='20' ".($stats_config['user_chart_value']=='20'?"selected":"").">20</option>";
	      echo "<option value='50' ".($stats_config['user_chart_value']=='50'?"selected":"").">50</option>";
	      echo "<option value='100' ".($stats_config['user_chart_value']=='100'?"selected":"").">100</option>";
	      echo "</select> ";   
	      echo $locale['ws504']." <select name='user_chart_style' class='textbox'>";
	      echo "<option value='1' ".($stats_config['user_chart_style']=='1'?"selected":"").">".$locale['ws505']."</option>";
	      echo "<option value='2' ".($stats_config['user_chart_style']=='2'?"selected":"").">".$locale['ws506']."</option>";
	      echo "<option value='3' ".($stats_config['user_chart_style']=='3'?"selected":"").">".$locale['ws507']."</option>";
	      echo "<option value='4' ".($stats_config['user_chart_style']=='4'?"selected":"").">".$locale['ws508']."</option>";
	      echo "<option value='5' ".($stats_config['user_chart_style']=='5'?"selected":"").">".$locale['ws509']."</option>";
	      echo "<option value='6' ".($stats_config['user_chart_style']=='6'?"selected":"").">".$locale['ws510']."</option>";
	      echo "</select> ";
	      echo $locale['ws511']." <select name='user_chart_skin' class='textbox'>";
	      echo "<option value='1' ".($stats_config['user_chart_skin']=='1'?"selected":"").">".$locale['ws512']."</option>";
	      echo "<option value='2' ".($stats_config['user_chart_skin']=='2'?"selected":"").">".$locale['ws513']."</option>";
	      echo "<option value='3' ".($stats_config['user_chart_skin']=='3'?"selected":"").">".$locale['ws514']."</option>";
	      echo "</select>";
	      echo "</fieldset><br>";	      
	      
	      echo $locale['ws520']." <input class='button' type='checkbox' name='google_map_use' value='1' ".($stats_config['google_map_use']=='1'?"checked='checked'":"")." onClick=\"document.getElementById('GoogleTable').style.display = document.getElementById('GoogleTable').style.display == 'none' ? 'block' : 'none';\"><br>";
	      echo "<div id='GoogleTable' style='display:".($stats_config['google_map_use']==1?"block":"none")."'>";
	      echo "<table>";
	      echo "<tr>";
	      echo "<td>".$locale['ws521']."</td>";
	      echo "<td><input style='width:550px' class='textbox' type='text' name='google_map_key' value='".$stats_config['google_map_key']."'></td>";
	      echo "</tr>";
	      echo "<tr>";
	      echo "<td>".$locale['ws522']."</td>";
	      echo "<td><input style='width:50px' class='textbox' type='text' name='google_map_width' value='".$stats_config['google_map_width']."'> px</td>";
	      echo "</tr>";
	      echo "<tr>";
	      echo "<td>".$locale['ws523']."</td>";
	      echo "<td><input style='width:50px' class='textbox' type='text' name='google_map_height' value='".$stats_config['google_map_height']."'> px</td>";
	      echo "</tr>";
	      echo "<tr>";
	      echo "<td>".$locale['ws524']."</td>";
	      echo "<td>";
	      echo "<select class='textbox' name='google_map_zoom'>";
	      for ($i=1;$i<19;$i++) {
	         echo "<option value='".$i."' ".($stats_config['google_map_zoom']==$i?"selected":"").">".$i."</option>";
	      }
	      echo "</select>";
	      echo "</td>";
	      echo "</tr>";
	      echo "<tr>";
	      echo "<td>".$locale['ws525']."</td>";
	      echo "<td>";
	      echo "<select class='textbox' name='google_map_netgeo'>";
	      echo "<option value='http://api.hostip.info/get_html.php?position=true&amp;ip=' ".(eregi("hostip", $stats_config['google_map_netgeo'])?"selected":"").">http://api.hostip.info</option>";
	      echo "<option value='http://www.geoiptool.com/en/?IP=' ".(eregi("geoiptool", $stats_config['google_map_netgeo'])?"selected":"").">http://www.geoiptool.com</option>";
	      echo "<option value='http://netgeo.caida.org/perl/netgeo.cgi?method=getRecord&amp;target=' ".(eregi("caida", $stats_config['google_map_netgeo'])?"selected":"").">http://netgeo.caida.org</option>";
	      echo "</select>";
	      echo "</td>";
	      echo "</tr>";
	      echo "</table>";
	      echo "</div>";
	      echo "<br  />";
	      echo "<center><input type='submit' value='".$locale['ws526']."' name='save' class='button'></center>";
	      echo "</form>";
	      echo "</div>";
	      closetable();
	   }
	}
}
//end
require_once THEMES."templates/footer.php";
?>